﻿#This is the main script for The Nettestadt Troll, containing the central story text and branches.
#The code is open-sourced for personal use only.
#Do not redistribute the game with modified code unless you have permission from the author.

# The game starts here.
label start:
    $ renpy.music.stop(fadeout=2.0)
    
    $ locationlock = False
    $ jakobpoints = 0
    $ uwepoints = 0
    $ treasures_found = 0 
    $ fertility_herbs = False
    $ runbook = False
    $ evidence = "None"
    $ troll_is = "neither"
    $ quest = "none"
    $ finalpath = "None"
    
    $ save_name = "Preface"
    call setpast from _call_setpast_1
    scene nettestadt with Dissolve(1.5)   
    kthink "I used to wish that things were simple.  I did not like messy affairs."
    play music("njoy.ogg", "njoy.ogg", "njoy2.ogg", "njoy2.ogg")
    kthink "When our printing press burned down, my parents sent me off to live with my relative."
    kthink "They said that a pleasant-looking idle young woman as myself would be a target of wily young men and be a victim of folly if I lived in the city for too long."
    kthink "I do not blame them.  Although I used to work as a receptionist in the printing shop, now I have nothing to do."
    kthink "We suspected that arsonists were responsible for the demise of our shop, since our business was doing well."
    kthink "The conclusion was that we had many unknown enemies so the capital definitely was not safe."
    kthink "Having a printing press itself was something new, and many were at first suspicious of our trade, in particular those who disliked Alchemists and their crazy inventions."
    kthink "Having a printing press meant that we were on friendly terms with the Alchemists."
    kthink "We had a couple of rotten neighbors who called us ''Witch-Sympathizers'', because the inventions of the Alchemists seemed like witchcraft."
    kthink "To them, all Alchemists were either witches or warlocks."
    kthink "..."
    kthink "Here I am, travelling across Bavaria to go live with Aunt Heidi, at least until the family business gets up and running again, if ever it does again."
    kthink "Then my parents plan to send me back once they straighten the finances."
    kthink "I am to go to the town of Nettestadt, where my aunt lives."
    kthink "Accompanying me is my ''Ball-of-Brawn'', Gerhard, a friend of mine since I can remember.  He is like a brother to me."
    kthink "Gerhard is a good spearman, so he will try to enlist in the army of the baron of Nettestadt, as a mercenary."
    kthink "And I am to stay with my aunt and mind her stall in the market."
    $ renpy.music.stop(fadeout=1.5)
    scene black with Dissolve(1.5)
#----------------------------------------------
label ch1:
    $ save_name = "Chapter 1: A New Beginning"
    scene nettestadt
    show text "{size=32}Kapitel Eins: Ein Neuer Anfang{/size}"
    with dissolve
    $ renpy.pause(1.5)
    scene black with dissolve
    call setday from _call_setday_2
    scene milltavern with dissolve
    play music("nettestadtpre.ogg", "nettestadtpre.ogg", "nettestadtmain.ogg", "nettestadtmain.ogg", "nettestadtinter.ogg", "nettestadtinter.ogg", "nettestadtmain.ogg")
    $ renpy.pause(1.0)
    kneutral "So we have arrived at last."
    g "Ah! Rest for my weary back!  You packed an awful lot, Milady."
    ksmile "Stop calling me Milady!  I am not a princess!  I am just Katja."
    kthink "I would not mind it usually, but then Gerhard's habits always would rub off on our friends, so in no time at all everyone would be calling me Milady."
    kthink "Which was amusing... but only for two minutes."
    ksmile "Let us stop by this tavern and ask for directions."
    scene milltavernS at UL with fade
    bartender "How can I help the young lovebirds?"
    kneutral "Lovebirds?  N-no!  You have the wrong impression!"
    gd "Please do not make assumptions..."
    g "Although..."
    bartender "Ah, the joys of youth!"
    bartender "You must be new here.  So welcome to Nettestadt!  And how may I help you?  How about a drink?"
    ksmile "Ah, thank you, not today.  We just want to know where we can find these addresses."
    kthink "I hand the address of my aunt to the bartender.  He scrutinizes it from under his moustache."
    kthink "Someone bumps into me."
    scene milltavernS at UL with hpunch
    kneutral "Ouch!"
    gd "Watch it stranger."
    bartender "Do not mind Jakob."
    j "My apologies, Fraulein.  I am just not fully awake."
    bartender "Jakob is one of our nightwatchmen."
    bartender "It is part of his job to get to know everyone coming and going in this town, even though he prefers to be friends with no one."
    js "Yes, because what if I catch you doing something you should not be doing?"
    j "I do not want justice to be compromised by personal familiarity."
    j "So, now you know me.  Then, who might you two be?"
    ksmile "I am Katja and this here is my friend Gerhard."
    g "We hail from the outskirts beyond Salzburg."
    j "Where will you be staying?  Do you have a place?"
    bartender "Apparently they do."
    kthink "The bartender hands me back the piece of paper containing my aunt's address.  Jakob catches a glimpse of it."
    bartender "Heidi lives in the market far west of town.  Just take the stone path until it branches, but keep to the left.  You will pass by many affluent neighborhoods."
    bartender "And you, young man, will find the barracks by the gates of Nettestadt Castle, which lies beyond the market.  You cannot miss the castle."
    bartender "Just walk further along the path as it winds north-west."
    kthink "The bartender scans Gerhard from head to toe."
    bartender "I see that you are prepared and are already wearing the recommended change in uniform, that is good."
    bartender "The baron desires to make no distinction between mercenaries and his personal guard."
    j "To clarify, you do realize you will get paid the same as the local guards, regardless of your skill."
    g "I understand."
    j "But you will not be eligible for medals and honors since those are reserved for non-mercenaries."
    bartender "But the baron does not want this fact to affect performance in battle."
    bartender "He wants those who work in his army to be clueless as to the nature of the other soldiers, that is why the uniforms are the same."
    j "Just do not go around introducing yourself as a mercenary."
    j "Rather, just say that you grew up in this town a long time ago and am just returning."
    g "Will do.  I appreciate the suggestions."
    kneutral "So what is going on, with all these complications?"
    j "I think it has something to do with the baron's son, Uwe becoming of inheritable age."
    j "I hear they do not get along too well, so the baron may be reluctant about his successor."
    bartender "Well, the mercenaries tend to favor the son, no doubt.  Uwe is not too keen on inheritable titles and accomplishments, instead he favors merit."
    j "Now how about you, Fraulein.  What is your story?"
    kneutral "My parents are having trouble with our trade, so I am to stay with Aunt Heidi for a while."
    j "Do not stay for too long.  There are about as many criminals here as in any city."
    kscared "..."
    j "The criminals behave the same, they just happen to be more affluent."
    j "Actually, Nettestadt is only a village that happens to have a ridiculously huge castle."
    j "It is because the citizens have more money and thus influence, and they pay more in taxes."
    j "The amount of revenue generated from here caused the county to classify this place as a town."
    kneutral "So will I be safe in this village-town?"
    js "Do not worry Milady, for I shall protect you."
    kthink "He said 'Milady'... just like Gerhard...  At least it is better than 'Fraulein'."
    j "Well, I have to go.  I need to sleep again, it is going to be a long evening."
    j "A full moon means there will be plenty of crimes, both petty and major."
    js "There will also be all manner of orgies and debauchery."
    bartender "I bet you love your trade, getting to observe everything as it happens."
    j "You bet I do."
    kneutral "What does he mean?"
    kthink "And with that, Jakob disappears as quickly as he appeared."
    kthink "Gerhard only grunts."
    gd "Let us get going."
    g "Thank you for the tips."
    bartender "No problem.  Feel free to ask for any directions anytime.  Those, I can give for free."
    scene milltavern with fade
    g "Milady, if you do not mind... let us stop by the mills for a little bit, since we are already here."
    kthink "But Gerhard, I am so tired."
    kneutral "Alright."
    scene milltavernS at UR with fade
    miller "How may I help you?"
    g "I am not sure if I have come to the right place, but do you happen to know where one can sharpen his spears?"
    miller "You must be new here.  Well, you have indeed come to the right place."
    miller "There are many trades housed within this building.  Talk to me, and I can direct you to them."
    miller "For example, this floor houses the wheat granary and bakeshop."
    miller "Upstairs is the butcher.  The third floor resides the blacksmith, which is where you can get your weapons tailored."
    miller "And in the basement is the diary center, where farmers go to get processed milk and cheese."
    g "Okay, thank you.  Now I know where I can conduct my business.  Milady, let's go."
    kneutral "Was that really necessary?"
    g "Exploration is man's innate nature.  When you come to a new place, you must thoroughly examine all its nooks and crannies."
    kthink "I have a feeling that Gerhard just wanted to point me to places where I can run my errands."
    scene nettestadt with fade
    $ renpy.pause(1.0)
    ksmile "I am starting to like this town already."
    ksmile "And that in the distance!  Nettestadt Castle!"
    g "That baron, he built himself such a magnificent castle, fit for a duke, or even a king, but he is just a baron."
    g "He might even be just a minor baronet!"
    ksmile "It does not matter.  He is the ruler, so he should be able to do anything, I suppose."
    ksmile "He does have good taste, apparently."
    g "I wonder how much that cost to build in taxes?"
    ksmile "An arm and a leg from every citizen.  But I think the citizens here can afford it."
    g "Indeed.  And I do not doubt people come to this town specifically to see the castle, whereas they would not come otherwise."
    scene nettestadtS at LL with fade
    ksmile "The market!  Now, where is the biggest stall for fresh produce?  That would be Auntie's."
    g "This one."
    ksmile "And my living quarters would be right above."
    stranger "And if it is not Katja!"
    kthink "A stout woman approaches and gives me a big hug.  I think it is Aunt Heidi."
    kthink "I pretend to know her very well, although frankly I have only seen her twice before in my life and do not know how she really is."
    aunt "Gerhard!  I have met you once.  Good to see you again!"
    gd "..."
    aunt "You must be tired.  You can leave Katja's items here, I will take care of them.  Care for a snack?"
    g "That is fine, but no thank you.  I have got to be going."
    kthink "Gerhard seems unusually rattled.  Could it be because of Aunt Heidi?"
    g "Alright.  Well, then, Milady.  I will be heading towards the barracks now."
    g "But I will be sure to visit.  I hope our new lives turn out for the best."
    scene black with dissolve
    call setnight from _call_setnight_2
    scene nettestadtS with dissolve
    $ renpy.music.stop(fadeout=1.0)
    kthink "I hope this will be a good change of pace for me."
    play music("towers.ogg")
    kthink "At least until she can find a suitable husband, this will probably have been the most eventful thing to happen in the little life of an average young woman."
    kthink "So I should be happy.  I think."
    kthink "I would be minding Aunt Heidi's stall day in and day out.  Maybe I might return to Salzburg and manage the family printing press again."
    kthink "Or perhaps I might end up staying here after all... hopefully I get to learn more about Aunt Heidi's trade."
    kthink "I mean what could I expect?  Go to a masquerade ball and have a prince fall in love with me?"
    ksmile "Right, as if that scenario could ever happen."
    kthink "Maybe something simpler can happen if I work towards it."
    ksmile "Like for example... marrying Gerhard.  It would not be too bad, actually."
    kthink "But first I have to stop thinking of him as my brother, which is currently next to impossible."
    kthink "He is not that interesting, but he is certainly useful.  Well, he does need to grow up more, as do I."
    $ renpy.music.stop(fadeout=1.0)
    scene black with dissolve
    call setday from _call_setday_3
    scene nettestadtS at LL with dissolve
    play music("nettestadtpre.ogg", "nettestadtpre.ogg", "nettestadtmain.ogg", "nettestadtmain.ogg", "nettestadtinter.ogg", "nettestadtinter.ogg", "nettestadtmain.ogg")
    aunt "Ah, now to teach you the tricks of the trade.  Remember now Katja, this is different from minding your printing shop."
    aunt "Here, most of the customers are women.  Your charms will not work on them."
    aunt "So you can forget about projecting a lovely smile and having them purchase the goods even if they do not need it."
    aunt "Here, it is all about perceived quality.  So you must always arrange the produce to look their best."
    kthink "And so Aunt Heidi taught me more principles."
    scene nettestadtS at LL with fade
    kneutral "I am really sorry, Auntie.  It will not happen again."
    aunt "You are supposed to trust the customer, even if you are the one on the right side.  In this trade, reputation is key!"
    stranger "What is going on here?"
    kthink "My heart almost freezes over."
    villager "It is Uwe!"
    kneutral "Uh, hello!  Do not mind me, I am still learning."
    villager "Heidi's niece is minding her stall."
    u "I see.  Oh..."
    kneutral "..."
    u "Then mind the stall, and not me.  Continue your business, everyone."
    kthink "And with that, Uwe stares at me a little bit longer, before finally walking off."
    aunt "Oh Uwe!  The baron's son!  I would sure love to have a go at him!"
    kneutral "Aunt Heidi!"
    villager "Did you see how he was just staring at you?  He is of marrying age now, a good catch, too!"
    ovillager "If only I had my daughter with me, I would have tossed her in his direction at the slightest opportunity."
    villager "No doubt Uwe is thinking of marriage now.  It will cement his position as a successor against his father, especially if he begets an heir."
    ovillager "Oh come on!  That young man may not look like it, but he is definitely a playboy!"
    villager "You know the recent abductions?  I was pretty sure he likes to kidnap girls and play with them as toys."
    ovillager "OUR Uwe?  No.  He is not that type of man!  He is gentle and sweet, like my son."
    villager "Well, he will be back, I am sure of it!  Not that I mind literally rubbing elbows with aristocrats!"
    kthink "And so their attention is turned away from my foible a few minutes ago."
    scene black with dissolve
    call setpast from _call_setpast_2
    scene nettestadt
    show text "{size=32}Several Days Later...{/size}"
    with dissolve
    $ renpy.pause(1.5)
    scene black with dissolve
    call setday from _call_setday_4
    scene nettestadtS at LL with dissolve
    g "Katja, I'would like to introduce someone to you."
    kneutral "Hmmm?"
    u "..."
    kneutral "..."
    kthink "Oh boy."
    ksmile "...Hello."
    g "This is Uwe.  Well, you probably know that by now.  Uwe, this is Katja, a childhood friend of mine."
    u "Hello."
    kthink "I try my best to curtsy."
    g "He is assembling an elite unit among the town guard and the local army brigade."
    g "Guess what... he has seen my skills, and I got in!  I am proud to have him as a friend, not just as an employer."
    u "Milady, you should be proud of Gerhard."
    ksmile "Um... But Gerhard is a little..."
    gd "Hey!"
    ksmile "Nevermind."
    g "Oh! Look at the time!  I have training to do.  Well, I will let you be..."
    kneutral "Gerhard, wait a minute--"
    kthink "That Gerhard sure does not waste any energy.  Now what?"
    u "...so.  I presume you have not yet had a proper orientation of this town.  C-come, M-K-Katja...I will show you around."
    kthink "Uwe almost slipped and said 'Milady'.  It definitely must be Gerhard's influence."
    kthink "It seems Uwe is mustering all the confidence he can possibly collect.  I could tell that being this straightforward is not really being himself."
    kthink "I do not have friends in this place yet, so it probably is not a bad idea to go along."
    kthink "How I wish I could create new friendships with ease, like Gerhard."
    kneutral "Sure."
    scene nettestadtS at LR with fade
    u "This is our best neighborhood.  Many scholars and people who work at the castle live here."
    u "When I have something to think about, I like to take a stroll here."
    ksmile "It is a pretty affluent place, is it not?"
    u "Well, there are some non-aristocrats who live here as well, so it is not that bad, really."
    kneutral "Um... a question that I have been wanting to ask, if I may be so blunt."
    u "Yes what is it?"
    kneutral "Where are your bodyguards?  Do you not travel with an entourage?"
    u "This town is really more like a village.  We get along here.  We are not hung up too much on lineage or creed."
    u "In fact, we even welcome Alchemists here.  I will show you the Hall of Alchemy in a short while."
    u "In general, people tolerate each other.  And for me, they do not mind me at all."
    u "It is true that my father the baron of Nettestadt is not that wise of a ruler, but no one feels they need to threaten me."
    u "...besides, they know that my father and I do not really get along too well."
    kneutral "Oh..."
    kthink "How can Uwe be so sure?  Maybe his father keeps the citizens all on a leash, that is why his family feels safe."
    scene nettestadtS at UR with fade
    u "And this is the Hall of Alchemy, where scholars and magicians converge."
    kneutral "Magicians?  I do not really think what they practice is magic."
    kneutral "My folks used to run a printing shop and our machines were made by Alchemists."
    u "Oh, really?  You seem open-minded.  But magic or not, whatever they do, it sure seems like witchcraft."
    u "Come, I will show you my house."
    scene nettestadtS at UL with fade
    kneutral "..."
    kthink "Nettestadt Castle really does seem grand up close.  But the words that leave my mouth go entirely in a different direction."
    kneutral "Are you showing off?"
    kthink "Oh... that rolled right off my tongue."
    kneutral "Uh... sorry... I did not really intend..."
    u "..."
    u "Sure, I am just letting you absorb the full impact of the ostentatiousness."
    u "And you can only do that up-close."
    kneutral "Why?"
    u "Because I want to be your friend..."
    u "...and do not want you to think that just because I live with a stuck-up father in a stuck-up castle, that I myself am stuck-up."
    kneutral "Oh."
    u "Come, if you do not mind, I would like to invite you in on a tour of the public halls."
    kthink "And so I oblige him, as well as satiate my curiousity."
    menu:
        "I think I like Uwe better than Jakob.":
            $ uwepoints += 1
            kthink "I think I like Uwe better than Jakob.  Jakob might make a good friend, but I am really more interested in Uwe."
            kthink "Jakob is a bit crude...but Uwe, he is evidently trying to be more forceful than his usual self, but he is an earnest person."
        "I think I like Jakob better than Uwe.":
            $ jakobpoints += 1
            kthink "I think I like Jakob better than Uwe.  Nice guy, that Jakob.  Although, he is a bit weird."
            kthink "Uwe is an aristocrat.  Aristocrats are beyond comprehension, although this will be a learning experience for me."
        "I think both Uwe and Jakob are nice people.":
            kthink "I think both Uwe and Jakob are nice people.  They will make for great friends."
    kthink "I try to shake these most recent thoughts out of my head."
    kthink "The tour of Nettestadt Castle will certainly not disappoint."
    kthink "I think this to myself as I follow Uwe inside the castle."
    $ renpy.music.stop(fadeout=1.5)
    scene black with Dissolve(1.5)
#----------------------------------------------
label ch2:
    $ save_name = "Chapter 2: Dire Times"
    call setpast from _call_setpast_3
    scene milltavern
    show text "{size=32}Kapitel Zwei: Beunruhigende Zeiten{/size}"
    with dissolve
    $ renpy.pause(1.5)
    scene black with dissolve
    call setday from _call_setday_5
    scene nettestadtS with dissolve
    play music("wavemotion.ogg")
    $ renpy.pause(1.0)
    kthink "It has been a month since arriving at Nettestadt.  Things are going well, and I have settled into a good routine."
    kthink "I have made a few acquaintances, although no one yet is as close to me as Gerhard."
    kthink "Naturally, I expected the girls in Nettestadt to be snobbish, and I was not proven incorrect in my assumption."
    kthink "Although I was the one who came from the city, I am treated as though I was some country bumpkin."
    kthink "Just because they are more affluent does not mean that they are more sophisticated or refined."
    kthink "..."
    kthink "But what concerns me more is having more opportunities to spend time with Uwe and Jakob, whom I run into every once in a while."
    kthink "Whenever I meet Uwe, we are both careful with our movements so as to not arouse suspicion among the townspeople."
    kthink "As for Jakob, my encounters with him have never changed in abruptness ever since that first one at the tavern."
    kthink "Of course, I naturally avoid the tavern, because now and then it is filled with drunken dirty old men, but maybe that is just my impression."
    kthink "As for Gerhard, despite his promise to visit often, he rarely drops by now."
    kthink "Definitely, it has to be because of Aunt Heidi.  Although, I dare not ask what happened between them."
    kthink "So now, whenever I really need to talk to Gerhard, I have to summon my courage and visit the barracks."
    kthink "I am taking things slowly, being content with friendships that are not that deep.  I still have a full life ahead of me."
    kthink "As for minding Aunt Heidi's stall, I am getting better at it and business is booming."
    scene nettestadtS at LL with fade
    aunt "Katja!  You have an urgent message!"
    kneutral "Yes, what is it?"
    kthink "Aunt Heidi gives me a small telegram."
    aunt "Gerhard is calling for you to meet them at the tavern."
    aunt "That Gerhard!  He should just drop by, really!"
    scene milltavernS at UL with fade
    kneutral "Hello, sorry to keep you waiting."
    gd "About time."
    kthink "Gerhard leads me to a secluded corner, and presents me with a snack and drink."
    kthink "Uwe and Jakob are already at the table, and nod as I arrive."
    j "And why am I here again?"
    u "Because there are things which we are going to discuss which you will know eventually, regardless of whether we tell you or not."
    u "We ask you to keep things secret."
    j "And my payment for not telling, being?"
    u "Being the first to know."
    j "Well, that sure is some compensation.  But why is Katja here?"
    gd "To warn her of the impending danger... danger about to be caused by... ourselves."
    u "Katja should stay someplace safe, preferably far from Nettestadt Castle."
    kneutral "Huh?  I beg your pardon?"
    gd "We are planning to stage a coup, to oust power from the baron of Nettestadt, and give it to Uwe."
    $ renpy.music.stop(fadeout=0.5)    
    kscared "A revolution?"
    kthink "Oh... my... gosh."
    play music("wavemotion.ogg")
    kneutral "But... why?"
    gd "Well, you see..."
    u "Gerhard, there is no time to explain everything."
    u "Let us just say the reasons are valid and I have thought about it for some time."
    u "So it is not a spur of the moment thing."
    j "..."
    kthink "Uwe is speaking with a confidence that was not there when I first met him."
    kneutral "So how will you actually accomplish this takeover?"
    gd "Remember the elite unit that I am a member of?"
    gd "This is Uwe's personal secret army, and we now rival the baron's army in terms of number and skill."
    u "In particular, I think we have the better warriors."
    u "We also managed to convert some of the baron's own men to our cause."
    u "Jakob... no comment?  You seem to be taking all this in calmly."
    j "Most of the conspiracies I happen upon do not amount to anything more than just talk."
    j "However, you might be able to pull this off, since you have the force to back you up."
    j "I have seen worse things in my life and in my trade.  But for now, let me just ask this..."
    j "What can we expect for the citizens?"
    u "I assure you, we will do our best to confine the activities to Nettestadt Castle."
    u "There should be minimal turmoil in the town itself."
    u "What does Milady think?"
    menu:
        "This is insane!":
            kscared "This is insane!"
            kneutral "You guys should just stop your plans, as it will only cause harm for everyone."
        "I does not matter to me either way.":
            $ jakobpoints += 1
            kneutral "It does not matter to me either way.  As long as this town has a ruler."
        "I hope you succeed.":
            $ uwepoints += 1
            kneutral "I hope you succeed.  I do not know all your motivations, but I am sure they are valid."
            kneutral "I am sure Uwe would make a better ruler than the current baron."
    #Now we compute who is the troll!
    if (uwepoints == jakobpoints): #either they are both zero or one, meaning the player is conflicted, so we'll decide for her.
        if (uwepoints == 0): 
            $ troll_is = "uwe"
        elif (uwepoints == 1):
            $ troll_is = "jakob"
    elif (uwepoints > 0): #either one or two
        $ troll_is = "uwe"
    elif (jakobpoints > 0):#either one or two
        $ troll_is = "jakob"
    else:
        $ troll_is = "neither"
# The probability is 4:5 that the troll is Uwe: Jakob, because finding evidence for Jakob is trickier.
    scene black with Dissolve(0.5)
    call setnight from _call_setnight_3
    scene milltavernS at UL with Dissolve(0.5)
    gd "..."
    u "..."
    j "..."
    ud "You do realize we have already made our decision."
    kneutral "..."
    kneutral "I know."
    kneutral "Gerhard, Uwe, please do not let yourselves be killed."
    g "We will be careful, Milady."
    j "And what makes you think I will not betray you, having heard all this."
    u "I trust you as the most diligent nightwatchman of our town.  I know you are loyal to the citizens."
    u "And I also have nothing but concern for the citizens; that is a primary motivation."
    gd "Besides, our army is capable of overpowering any force, the nightwatchmen included."
    j "I think Milady has heard enough.  Send her home, then discuss the details with me..."
    j "That way, the nightwatchmen will not mistakenly report your covert activities as we often report minor things to the baron."
    kthink "Gerhard gives me a piece of paper listing a specific time and date."
    gd "Stay indoors during this time, just to be safe."
    kthink "I go home with trepidation as to the events that are about to occur."
    $ renpy.music.stop(fadeout=1.0)
    scene black with Dissolve(1.5)
    call setpast from _call_setpast_4
    scene nettestadt with dissolve
    kthink "And so the coup was attempted."
    kthink "Despite their skills, it failed."
    kthink "The revolution... was squashed."
    kthink "There were rumors that the nightwatchmen tipped off the baron, so he was able to prepare himself."
    kthink "But that was not confirmed.  And I do not believe Jakob could have had a hand in that... or could he?"
    kthink "I tried looking for Jakob, but he could not be found."
    kthink "Other rumors say that the baron had more Alchemist allies at his disposal, and they were able to repel the onslaught using magic exploding shells."
    scene black with dissolve
    scene cg1 with dissolve
    play music("katjathemepre.ogg", "katjathememain.ogg", "katjathememain.ogg")
    $ renpy.pause(1.0)
    kthink "As for what happened to Uwe and Gerhard, thankfully, they were not killed."
    kthink "But instead, they, along with the surviving members of Uwe's elite army, were exiled, never to return to Nettestadt again."
    kthink "Aunt Heidi, in particular, was devastated by news regarding Gerhard."
    kthink "There were many citizens as well who felt that they had lost a beloved son in Uwe."
    kthink "Although Uwe and Gerhard are still alive, not being able to see them anymore means that they might as well be dead."
    kthink "And so I feel that way, even today, one month after the rebellion."
    scene milltavern with fade
    kthink "Although only Nettestadt Castle was damaged, it took a while for the citizens to come to grips with the incident."
    kthink "It was as if their whole town had been destroyed -- it had the same effect in their hearts up to now."
    kthink "Even the baron himself felt a little remorse and eased up on his controlling policies."
    kthink "It was a good thing he just exiled his son.  Treason, after all, is punishable by death."
    kthink "Perhaps the baroness, Uwe's mother, had something to do with this.  If so, bless her soul."
    kthink "There also arose a new threat from the East, a new religion that threatened the established world order."
    kthink "And so the baron took his mind off many local affairs and joined in the crusades, being gone for weeks at a time."
    kthink "The town wished he would be gone longer, but being old, his participation in actual combat would be limited."
    kthink "We were prepared to just let things be..."
    kthink "Well, currently we are all still sad, but everything else is back to how it should be."
    kthink "All should be well... "
    $ renpy.music.stop(fadeout=0.5)
    scene black with Dissolve(1.5)
    call setnight from _call_setnight_4
    scene nettestadt with dissolve
    kthink "There are rumors of a monster walking the streets of Nettestadt at night."
    kscared "A troll!"
    aunt "Yes, a troll!  One with a hideous dark face, bloodshot eyes, and hair that seems to be set ablaze."
    kneutral "How did he appear?"
    aunt "We do not know.  It could be... it could be..."
    kthink "Aunt Heidi breaks down and sobs."
    scene nettestadtS at LL with fade
    play music("towers.ogg")
    aunt "Oh poor Gerhard!  It must be his lost banished soul trying to connect again with the living!"
    kneutral "That could not be!  Gerhard is only exiled, not dead."
    aunt "But they were not to set foot in this COUNTRY!  He could have been eaten by wolves while travelling in the wilderness!"
    kneutral "But how about Uwe?"
    aunt "It could be dead Uwe as well!"
    villager "Hey, no one has seen the nightwatchman called Jakob.  It could be Jakob for all we know."
    ovillager "Oh sorry, we just overheard your conversation."
    kneutral "Jakob did disappear around the same time as well."
    villager "The bartender says that he has not seen Jakob in the tavern since the uprising."
    villager "The other nightwatchmen effectively claim that Jakob is missing due to foul play."
    ovillager "Maybe he was an unofficial part of the rebellion, and so the baron decided to just get rid of him."
    villager "I doubt that the baron would be that diligent."
    villager "Seriously, the baron does not seem to really want to do anything about the troll situation."
    ovillager "Well, the troll is keeping the peace pretty much."
    kneutral "Did Jakob ever get on the baron's nerves?"
    villager "Plenty of times.  But it was mainly that he was too good at his job, that he threatened to expose the corruption of the baron and his friends."
    ovillager "Probably caught some of them with mistresses or something like that."
    villager "But that fellow creeps me out.  I sure do not want that sort of man to be watching over my family."
    kneutral "Did Jakob have that much authority to do as he please?"
    villager "As much as would guarantee the safety of citizens at night."
    kneutral "Why do you think the troll is Jakob?  Why not Uwe... or Gerhard?"
    villager "Because Jakob creeps me out.  So being a troll would be a natural progression of his behavior."
    kthink "Hmmm... for some reason... that does make sense."
    ovillager "How can Uwe ever be a troll?  Come on!  He is such a nice man, a shame that he did not succeed to become our ruler."
    kneutral "How about Gerhard?"
    aunt "Yes, how about him?"
    villager "We do not know much about him.  He was a new face in town, just like yours."
    ovillager "Sorry, the rumors only follow familiar faces."
    villager "Well, we have to go.  It is getting to be very late, around the time the troll makes his appearance."
    ovillager "We must hurry!  Heidi, Katja, you should be packing up as well and close shop.  Be sure to close all your doors and curtains."
    villager "Ooooh!  I sure do not want to bump into the troll!"
    kthink "And with that, our remaining customers disappear."
    scene nettestadtS with fade
    kthink "Aunt Heidi is fiddling with her hands."
    kneutral "Aunt Heidi?"
    aunt "Ah, sorry to request this of you at this time, but can you do me a favor?"
    aunt "I need you to borrow a key from the miller.  I know it is already late, but I know the mills are open until very late in the evening."
    kneutral "B-but what about the troll?"
    aunt "Oh!"
    aunt "..."
    aunt "...they are just rumors.  I do not know of anyone who has seen him personally.  I do not think he has really harmed anyone."
    aunt "So perhaps you would not encounter him so easily."
    aunt "So just tonight, alright?"
    kneutral "Okay.  But what is this key for?"
    aunt "It is for the vegetable grinder we are about to use.  It is a new invention.  The package just arrived, but I have not shown it to you yet."
    kneutral "Can it wait?"
    aunt "No.  We need the machine operational by tomorrow."
    kneutral "So all I need to do is ask the miller for the key for the vegetable grinder?"
    aunt "Yes."
    kneutral "Hmmm... this must mean the miller is an Alchemist."
    aunt "Yes, apparently he is.  Not that it has anything to do with anything, right?"
    kneutral "Not really."
    $ renpy.music.stop(fadeout=0.5)
    scene nettestadtS at LL with fade
    kthink "I certainly hope these rumors of the troll are unfounded."
    kthink "I secure my cloak, then head off towards the mills."
    play music("trollthemeshort.ogg")
    kthink "There is a full moon out, and yet it is way too dark tonight."
    kthink "Why does Aunt Heidi want the key now of all times!"
    kthink "The troll... is not real... is he?"
    scene nettestadtS at LR with fade
    kthink "So the miller is an Alchemist... Wait a minute... does that make Aunt Heidi one as well?"
    kthink "It seems as though I am surrounded by Alchemists, an entire family!  If that were the case, then the only person not included would be me!"
    kthink "Perhaps my parents really wanted me to stay in this Alchemy-friendly town."
    kneutral "Now is not the time to be thinking of such things!"
    kthink "Ironically, it is during this time that I actually long for a nightwatchman such as Jakob to be by my side."
    scene milltavernS at UL with fade
    kthink "I pass by the tavern on the way to the mills.  The usual ruckus is nowhere to be heard."
    kneutral "Strange."
    kthink "I am almost there... I have not seen the troll at all.  And I sure hope I do not bump into him ever."
    scene milltavernS at UR with fade
    kthink "Finally, I arrive at the mills."
    $ renpy.music.stop(fadeout=1.0)
    miller "Katja!  What a surprise to see you here at this time of the night.  You must be careful, there is a troll out and about, you know."
    play music("njoy.ogg", "njoy.ogg", "njoy2.ogg", "njoy2.ogg")
    kneutral "Yes, I have heard.  Have you or anyone you know seen him personally?"
    miller "Ah, no.  It may very well be just rumors.  It could also be someone's delusion after the depression we all felt after Uwe's coup."
    miller "In other words, the figment of someone's imagination."
    kneutral "But no one has actually been harmed by him, correct?"
    miller "If you do not count heart attacks, yes."
    miller "But you are here for an errand.  What is it you need?"
    kneutral "Aunt Heidi sent me to get the key to the vegetable grinder she has."
    miller "Ah, yes.  One of our new inventions.  We forgot to stock the key in the crate.  Just a moment..."
    kthink "The miller disappears into a back room and emerges with a key in his hand."
    miller "Here you go.  Please send my apologies to Heidi.  Oh, and do be careful on your way home."
    $ renpy.music.stop(fadeout=1.0)
    scene milltavern with fade
    play music("blumenwaldpost.ogg")
    kthink "I make my way home as fast as I could.  Which is too bad, since it is a lovely evening, after all, even if it is a bit eerie."
    kthink "I have come to realize that Nettestadt really is a beautiful town."
    kthink "Even if I no longer have Gerhard, or Uwe, or even Jakob around, this is still the place where I belong."
    scene nettestadtS with fade
    kthink "Without any incident, I arrive back home where Aunt Heidi is anxiously anticipating."
    kneutral "Here you go... the key..."
    kthink "I put my hand in my pocket to pull it out... but my pocket is empty!"
    play music("trollthemeshort.ogg")    
    kscared "Oh no!  I must have dropped it somewhere!"
    aunt "Then you will have to search for it!"
    kneutral "Can it wait?"
    aunt "By tomorrow someone else could have picked it up!  You must retrace your steps!"
    aunt "Go now!  I will join you in a bit.  Hurry!  Or the troll might really be out and about!"
    kneutral "I must be courageous.  I do this... for the vegetable grinder!"
    kthink "So it is just a vegetable grinder, but it can very well revolutionize our business."
#Prepares and executes the troll minigame, then returns to the label.
    call setnight from _call_setnight_5
    call preparelocation from _call_preparelocation_1
    $ location = 'downtown'
    $ locationlock = True
    $ locationscenario = 'troll'
    $ treasureone_location = renpy.random.randint(1, 6)
    jump locationcycler
label trollencounter:
    if (treasurefound):
        $ treasures_found += 1
    scene black with dissolve
    $ renpy.music.stop(fadeout=0.5)   
    kthink "The hairs on my neck stand on end."
    kscared "W-who is it?"
    kterrified "Someone is definitely watching me... and is behind me, right now."
    kscared "..."
    kthink "Slowly, I turn around...."
    kthink "And meet him face-to-face."
    scene black
    show trollsurprise at right with dissolve
    $ renpy.pause(3.0)
    kthink "I meet the Nettestadt Troll."
    scene black with Dissolve(1.5)
#----------------------------------------------
label ch3:
    $ save_name = "Chapter 3: Sacrifice"
    call setpast from _call_setpast_5
    scene meadows
    show text "{size=32}Kapitel Drei: Opfer{/size}"
    with dissolve
    $ renpy.pause(1.5)
    scene black with dissolve
    call setday from _call_setday_6
    scene white with dissolve 
    play music("towers.ogg")
    $ renpy.pause(1.0)    
    kthink "What happened to me?"
    kthink "I am in bed... wait, this is my home."
    kthink "This is Aunt Heidi's house."
    aunt "She is awakening."
    stranger "Do not shake her, let her come to her senses by herself."
    aunt "Are you alright, Katja?"
    kneutral "..."
    kneutral "Yes... I feel as though I have been asleep for some time."
    kthink "I look around the room and reorient myself."
    $ renpy.music.stop(fadeout=0.5)
    scene nettestadtS with fade
    play music("wavemotion.ogg")
    aunt "Take it easy."
    kthink "I notice that there is another presence in my room, besides my aunt and myself."
    aunt "Oh, you have not met her yet.  This is Alfrieda, a friend of mine."
    asmile "How do you do, Katja."
    aunt "Alfrieda was the one who found you passed out and carried you back home."
    kneutral "Passed out?  How long?"
    aunt "You slept for the entire night."
    kscared "The troll!"
    aunt "Troll?"
    kscared "I met the troll!  Last night!  I was... I was..."
    kscared "I forgot... but I was looking for the key."
    aunt "So that is why you were passed out.  Alfrieda suspected as much."
    amad "I am afraid Katja may not be imagining things this time around."
    kneutral "Oh!  The key!  I lost the key, that is why I was looking all over for it last night."
    aunt "You did mention that you lost it earlier, but when you were brought home, the key was right inside your pocket."
    kneutral "How can that be?"
    asmile "Perhaps the troll found it for you and was just handing it back."
    asmile "You passed out from shock at the sight of him, so he had no choice but to place it inside your pocket."
    kneutral "Are you serious?"
    amad "Serious."
    aunt "How much do you know about the troll, Alfrieda?"
    amad "About as much as anyone else."
    amad "And before I forget, I have an urgent request for Katja."
    amad "I was hesitant, but it seems Katja is doing better now, so I might as well present the facts as they are."
    kthink "What could this be about?"
    amad "When I found you last night, you were lying on top of a piece of parchment with a note written on it."
    amad "Do you know what the note read?  It said..."

    amad "''If you want the curse of myself, the Troll of Nettestadt, to be lifted from this town, you will give me this woman as a parting gift.''"
    amad "''If you do not, I will continually haunt your streets until every citizen shall live in fear.''"
    amad "..."
    amad "The rest of his message contained instructions for further communication."
    kneutral "..."
    kthink "Wait a minute."
    kscared "So if I understand it correctly, the troll wants me, in exchange for not haunting this town."
    aunt "Poor Katja!  Is there anything we can do about this?"
    amad "I am afraid our choices are limited."
    amad "We should put this in front of the Council, and hear what they think.  Perhaps even the baron himself."
    amad "However, do realize that Katja has not been a resident for long, and many may still consider her an outsider."
    amad "Especially since all the turmoil started since she arrived."
    amad "Sure, they may be friendly, but I think they are just doing this out of respect for you, Heidi."
    amad "If Katja were to be by herself, I am pretty sure almost everyone would rather see her go."
    amad "I myself would rather have both Katja and even the troll stay."
    amad "I find it ironic since having a troll patrol the streets at night would do far more to reduce crime than unleashing all the nightwatchmen in the world."
    $ renpy.music.stop(fadeout=1.0)   
    scene black with dissolve
    call setpast from _call_setpast_6
    scene nettestadt with dissolve
    play music("feelings.ogg")
    kthink "Just as Alfrieda predicted, the response from the Council was unanimous."
    kthink "It was agreed that the freedom of one woman was a small price to pay for the peace of this town."
    kthink "Those who called themselves my friends severed their association with me."
    kthink "But I doubted that they were really trying to cope with their hearts broken by the fate of an acquaintance."
    kthink "I had this strong feeling that it was just a matter of good riddance for them."
    kthink "I was to become the troll's plaything, his concubine."
    kthink "Who knows what he would do to me, so I might as well consider myself as good as dead."
    $ renpy.music.stop(fadeout=1.0)
    scene black with dissolve
    call setday from _call_setday_7
    scene nettestadtS at LL with dissolve
    kthink "It is now the day I am to be handed off to the troll."
    play music("wavemotion.ogg")
    kthink "I find it strange that Alfrieda was entrusted with the task of escorting me to my future prison."
    kthink "She says that she follows everything that the troll instructs, but she only lets me take a glance at the parchments containing the troll's scribbles."
    scene nettestadtS at UR with fade
    kthink "She says that the troll drops off the messages at the Hall of Alchemy, but she could very well have written them herself."
    kthink "Perhaps she is in league with the troll, because she definitely knows more than she is telling me.  For one thing, she has not smiled at me since that morning."
    kthink "Just who is she, anyway, besides being Aunt Heidi's friend?"
    kthink "An Alchemist.  Another one of them damn Alchemists."
    kthink "I swear, every time my life has turned for the worse, it had something to do with Alchemy."
    kthink "I should have known.  People call Alfrieda ''The Town Witch'', since she was the former head of the local Alchemy association."
    scene nettestadtS with fade
    kthink "..."
    kthink "Aunt Heidi is still locked in her room, crying."
    kthink "For the few months I have known her and lived with her, she is indeed a very sweet person.  I definitely see why people like her."
    kthink "She is a far cry from my hypocritical self, myself who is trying too hard to be charming and well-liked."
    kthink "Well it is too late for me to become that sweet girl I am always trying to project.  I am about to meet my doom."
    scene milltavern with fade
    kneutral "So where exactly are we going?"
    amad "To the wilderness Blumenwald, outside Nettestadt.  I have a cottage there, so I can keep watch over you."
    amad "...what is it?"
    kneutral "Please, if this is some conspiracy you and the troll devised, why not just tell me?"
    amad "You do not trust me, it is only natural."
    amad "I was the one who coincidentally found you lying in the street that night, after all."
    amad "But I can assure you, everything is exactly as I have explained."
    amad "I may be an Alchemist, I may be called a witch, but those are separate things."
    kneutral "By the way you describe his messages, the troll knows his way really well."
    amad "Yes, that is why people believe he was once from our town or from the surrounding region."
    kneutral "So are you going to be my prison warden as well?"
    amad "If you put it that way, yes.  I do not find it a pleasant thing.  But that is what the troll instructed me to do."
    amad "Frankly, I regret bringing you home that night.  Look at it from my perspective as well, how much this inconveniences me."
    kneutral "Did the troll threaten your life?"
    amad "The troll wrote that I might meet the fate of my brother, Jakob."
    kscared "Jakob is your brother!"
    amad "Yes, the one who has been missing for some time."
    kneutral "..."
    $ renpy.music.stop(fadeout=1.0)
    scene black with Dissolve(1.5)
    scene meadows with dissolve
    play music("blumenwaldmain.ogg", "blumenwaldpost.ogg")
    $ renpy.pause(1.0)
    amad "Let us stop by my place to rest."
    kneutral "I have never been to this place before."
    asmile "Welcome to Blumenwald, Katja."
    kthink "A forced smile.  But definitely better than her usual stern expression."
    scene meadowsS at UL with fade
    kthink "Alfrieda's hut looks as if it was chopped out of a single tree trunk."
    kthink "Alfrieda gives me some porridge as I look around her home."
    kneutral "You actually live here?  It is awfully far from Nettestadt."
    amad "Well, I usually spend the night at the Hall of Alchemy.  So as you can see, I have not maintained this place well."
    kthink "I notice that the walls contain shelves and shelves full of unknown contraptions."
    amad "I will give you some supplies... here, take this basket."
    kneutral "What will I need them for?  I am going to die anyway."
    amad "How do you know?  It is best to be prepared, just in case you might live a life after all."
    kthink "Alfrieda starts to fill my basket with all manner of contraptions."
    kneutral "Um... I do not think I will know how to use these.  How about things which I actually recognize... "
    kneutral "Cups, plates, kettles with which to hit the troll with... "
    asurprised "..."
    amad "...right."
    kthink "Alfrieda then fills my basket with items needed for survival in isolation."
    kneutral "How will I eat, if indeed I am not to be eaten myself?"
    kthink "Alfrieda then dumps some mixed seeds into my basket.  I have no means to identify them."
    amad "Uh... just plant them and see what grows.  They used to be sorted, but I have not had much time lately."
    kthink "At length Alfrieda stands up straight."
    amad "I suppose whatever you will need in the future, I shall see to it, provided the troll finds it agreeable."
    scene meadows with fade
    kneutral "What do you think the troll will do to me?"
    amad "Well, you are his plaything, so I suppose he will make sure to keep you alive at least."
    amad "Well, let's see... probably the typical things men do to women..."
    amad "He will have sex with you... then have sex with you again..."
    amad "...and again, and again."
    kscared "..."
    amad "It is not that bad come to think of it, provided he does nothing else besides it."
    asurprised "Wait... you are not... are you?"
    kthink "What the heck.  My life is going downhill anyway."
    kneutral "There was this boy when I was much younger... I try to forget about it."
    amad "Then why did you not just forget about it?  It was just the mistake of someone immature."
    kneutral "Well, for one thing, Gerhard made sure that the boy did NOT forget about it.  Although it was my fault, really."
    kneutral "I was trying to see how close to the flame I can get without getting burned."
    $ renpy.music.stop(fadeout=1.0)
    scene black with Dissolve(1.5)
    scene cottagefront with dissolve
    $ renpy.pause(1.0)
    asurprised "..."
    kneutral "..."
    play music("nettestadtpre.ogg", "nettestadtpre.ogg", "nettestadtmain.ogg", "nettestadtmain.ogg", "nettestadtinter.ogg", "nettestadtinter.ogg", "nettestadtmain.ogg")
    amad "This place should be it."
    amad "Not bad, it actually looks lovely, in a grotesque sort of way."
    kneutral "Is this really the troll's?  Where did he find such a place?"
    amad "Maybe he built it himself?  I know a couple of hermits, and they have to have many skills."
    kthink "I survey the enclave.  There is a well and a little garden.  By the state of the plants, someone must have been living here not too long ago."
    kthink "Alfrieda and I encounter a message posted on the front door of the cottage."
    kneutral "''Please live here, Milady.  You shall not regret it.''"
    asurprised "Well..."
    kneutral "What can I say?  As if I even have a choice!"
    kthink "Alfrieda already has her concentration diverted."
    amad "Hmmm..."
    amad "I think you can use the garden over there to plant your seeds so you can grow vegetables."
    scene cottagefrontS at LR with fade
    kthink "Alfrieda walks over to the well and peers inside.  She promptly pulls up a bucket of water and drinks from it."
    asmile "Fresh water, very drinkable.  There must be a stream nearby."
    amad "Alright.  Let us get your things inside."
    scene cottageinside with fade
    $ renpy.pause(1.0)
    amad "..."
    amad "One word.  Clean."
    kthink "This definitely looks like someone has been living here for quite some time.  I am convinced now this is the troll's home."
    kthink "It is hard to imagine a monster living in such a place, but considering that no one was actually physically harmed by him, it is starting to make sense."
    kneutral "Maybe the troll is human."
    amad "Maybe he is.  But even monsters can keep things clean through their enchantments."
    amad "But you were the one who actually saw the troll, not I."
    amad "The rumors -- a hideous dark face, bloodshot eyes, and hair that seems to be set ablaze -- are they indeed correct?"
    kneutral "Yes, just like the rumors... it was frightening."
    amad "But try to recall... perhaps it could just be a very hideous person, not really an actual monster?"
    kneutral "I am not too sure... probably."
    scene cottageinsideS at UL with fade
    kthink "Alfrieda is unpacking some foodstuffs from my basket."
    amad "It is the least I can do.  If I might be your only human contact, I might as well help you be on your feet."
    kthink "Alfrieda fires up the cauldron and starts making stew.  I observe her as she deftly juggles ingredients."
    kthink "Although I have cooked on occasion, I realize now that it was my Aunt Heidi who kept my stomach full."
    kthink "I will have to learn to make do with available ingredients, and learn a new method of cooking if necessary."
    scene cottageinsideS at LL with fade    
    amad "Alright, Katja, I leave the rest of the things on this table.  Sort them as you wish."
    amad "And here are some parchment just in case you might want to write a journal or something, who knows."
    kneutral "Oh I do not know.  But I think I will always have use for something I can jot down notes on."
    amad "I better take my leave before the path to my hut gets too dark.  The troll might visit you tonight."
    amad "I do not know exactly what his plans are, whether he will take you someplace else or stay here with you."
    amad "He seems to have another location where he is currently residing, though."
    kneutral "Whatever happens, will happen, then."
    amad "The last instruction for me today was to tell you this..."
    asmile "''Everything will be alright.''"
    kthink "And with that, Alfrieda takes her leave."
    $ renpy.music.stop(fadeout=1.0)
    scene black with dissolve
    call setpast from _call_setpast_7
    scene cottageinside
    with Dissolve(1.5)    
    kthink "I am trying to sleep, but my mind is too active."
    kthink "The rest of the evening has been uneventful."
    kthink "Whatever that troll has planned, well, dare I say it, but he better show himself."
    kthink "Just to get it over with."
    kthink "I think this as I fall asleep."
    kthink "..."
    scene cottageinside with fade
    kthink "It is past midnight."
    kthink "The hairs on my neck stand on end.  I know this feeling..."
    kscared "..."
    play music("trollthemeshort.ogg")
    kthink "I realize that there is a dark mass next to me..."
    kterrified "IT IS LYING NEXT TO ME IN BED."
    kthink "Although I cannot see it, I know what it is.  I know WHO it is."
    kthink "The Troll."
    kterrified "THE TROLL IS NEXT TO ME."
    kscared "..."
    kthink "Finally the troll realizes that I am awake, and speaks..."
    t "I have come for my reward, Milady."
    kthink "A very human voice.  Hard to admit it, but I am actually soothed by it."
    kthink "I try not to imagine the grotesque face that is associated with it."
    kthink "Well it is pitch black outside.  I would hardly be able to see a thing anyways, which I am glad for in this circumstance."
    kthink "Nevertheless, I try not to see."
    $ renpy.music.stop(fadeout=1.0)
    kthink "Suddenly, with one leathery hand, the troll pins my hands together."
    kthink "My back is forced deeper into the bed."
    kthink "Perhaps I should fight him?  But what good will that do, I am in the middle of nowhere."
    kthink "And the whole town of Nettestadt knows what the troll wants from me."
    kthink "With the other hand, the troll pulls the folds of my skirt up."
    kthink "What remaining protective cloth I have is soon pulled aside."
    t "It will be over soon, Milady."
    kthink "..."
    kthink "I feel the tip of his naked flesh pressing against me, as if ambivalent whether to push or not."
    kthink "I have no choice now but to accept his seed."
    scene black with Dissolve(1.5)
#----------------------------------------------
label ch4:
    $ save_name = "Chapter 4: Concubine"
    call setpast from _call_setpast_8
    scene cottagefront
    show text "{size=32}Kapitel Vier: Konkubine{/size}"
    with dissolve
    $ renpy.pause(1.5)
    scene black with dissolve
    call setday from _call_setday_8
    scene cottageinsideS at UR with dissolve
    play music("blumenwaldpost.ogg")
    $ renpy.pause(1.0)
    kthink "I am... still alive."
    kthink "I put my hand to where I feel a throbbing rawness, and feel a sticky substance."
    kthink "..."
    kthink "The troll's seed."
    kthink "Most of it is encrusted all over the place."
    kthink "If I remember correctly, the troll withdrew at the last moment and spilt his seed."
    kthink "Perhaps to ensure that I am not to get pregnant."
    kscared "Which is perfectly fine, since I would not want a troll baby, not ever!"
    kthink "The only other things I remember was that it was past midnight, it was dark..."
    kthink "I do not want to recall... and yet..."
    $ renpy.music.stop(fadeout=1.0)
    scene black with dissolve
    call setpast from _call_setpast_9
    scene cottageinside with flashbulb
    kthink "..."
    kthink "The troll is inside me."
    kthink "It... hurts."
    kthink "With surprising dexterity, while still keeping me pinned to the bed, the troll positions me then gradually envelopes my body."
    kthink "If this is a monster, he sure seems to know that he is with a human woman."
    kthink "Slowly, his member presses deeper into me."
    kthink "I try to cry out, but everything seems so surreal, that I can only let out a whimper."
    $ renpy.music.play ("katjathememain.ogg", fadein=1.0)
    kthink "''Shhhhh....'' says the troll."    
    kthink "His hand creeps up my tear-stained cheek and proceeds to stroke my hair."
    kthink "Leathery...  no...   wait..."
    kthink "It is a human hand, that of a man's."  
    kthink "I feel his face near mine, but I still dare not look, and I keep my eyes closed."
    kthink "''Katja...'', the Troll whispers."
    kthink "The pain starts to subside and I am feeling a mild numbness in its place."
    kthink "I can barely feel the troll's member... perhaps my nerves are damaged?"
    kthink "No, it is as if a sedative was injected into my body.  But where did it come from?"
    kthink "With perfect timing, as if the troll recognized my thoughts, he abruptly rolls me over..."
    kthink "...then he thrusts into me with renewed vigor."
    kthink "''You are mine.'', the troll whispers directly into my ear, as if to remind me of his strength."
    kthink "I feel soft fingers on the tips of my ear, until I realize that my earlobe is being pinched."
    kthink "It... is not painful anymore."
    kthink "This is nowhere near what I experienced with that boy many years ago..."
    kthink "There is no hesitation regarding the troll's movements."
    kthink "I realize that it is with a man that I am having intercourse..."
    kthink "...someone who is unrestrained in releasing all his desire upon me..."
    kthink "...someone who is ravishing me at this very moment."
    $ renpy.music.stop(fadeout=1.0)
    scene black with dissolve
    call setday from _call_setday_9
    scene cottageinsideS at UR with flashbulb
    kthink "..."
    kthink "I collect my strength and finally sit upright, taking in the entire room."
    kthink "The troll of last night is nowhere to be found."
    play music("blumenwaldmain.ogg", "blumenwaldpost.ogg")    
    kthink "I take deep breaths as I shake off extraneous thoughts."
    kthink "It seems as if I were sleeping forever."
    kthink "Have I passed out yet again?  Or does the troll have the means with which to cast deep slumber upon me?"
    kthink "I am hungry, and I am dirty."
    kneutral "I must get myself washed and make myself a meal."
#Prepares and executes the orientation minigame, then returns to the label.
    call setday from _call_setday_10
    call preparelocation from _call_preparelocation_2
    $ location = 'cottageinside'
    $ locationlock = True
    $ locationscenario = 'orientation'
    jump locationcycler    
label afterorientation:
    scene black with Dissolve(1.5)
    call setday from _call_setday_11
    scene cottageinside with Dissolve(0.5)
    kneutral "Alright.  The basics are taken care of, but now, I am bored."
    kneutral "I do not have to go to work at least, but still, what is a troll's concubine supposed to do?"
    kneutral "I read from some of the Alchemist journals that even members of oriental harems cannot occupy themselves with pleasures all the time."
    kneutral "They have to keep busy somehow."
    kscared "And now I am talking out loud to myself."
    ksmile "Great, just great.  I am going to become a senile old hermit at this rate."
    $ renpy.music.stop(fadeout=1.0)
    kthink "There is no one around.  There is still time before Alfrieda is scheduled to drop by."
    play music("njoy.ogg", "njoy.ogg", "njoy2.ogg", "njoy2.ogg")
    kthink "Maybe now is a good chance... I just want to go to town, that is all."
    kthink "Is Alfrieda really serious about me not leaving this place, and was this really the troll's instruction?"
    kthink "If that is the case, then how on earth will I be able to cook the bratwurst on her recipe... I need to go to town to buy ingredients for that!"
    kthink "So I should get to town.  From there, maybe I might find a means of transport to get out -- go back to my parents, or go to another place."
    kthink "As long as the troll is far away."
    kthink "So what should I do?"
    menu:
        "Attempt to escape to town right now.":
            $ renpy.music.stop(fadeout=1.0)
            kneutral "Now is as good an opportunity as ever."
            $ now = True
            jump escapesequence
        "Wait until evening, then escape under the cover of dark.":
            kneutral "I think it is going to be a full moon tonight, but I will take advantage of stealth."
            $ now = False
            kthink "Alfrieda checks in and finds me alright, verifying that what happened to me was just as expected."
            kthink "I wait until she leaves."
            $ renpy.music.stop(fadeout=1.5)
            kthink "So I patiently wait until evening..."
            scene black with Dissolve(0.5)
            call setnight from _call_setnight_6
            scene cottageinside with dissolve
            jump escapesequence
        "Do not attempt to escape at all.":
            play music("towers.ogg")
            kneutral "I might get used to this... so maybe next time."
            kthink "At length I hear a knock on the door.  It is Alfrieda."
            amad "How are you?"
            kneutral "Not too sure."
            amad "The troll came to visit last night, did he?"
            kneutral "Yes."
            amad "He... raped you, did he?"
            kneutral "...yes."
            amad "As expected, I suppose.  Well, he should treat you better next time."
            kneutral "Can you plead on my behalf?"
            amad "I will try."
            kthink "Alfrieda paces about the cottage, checking things, but it seems like she is trying to formulate something to say."
            amad "You see, Katja, I finally saw the troll in person.  He came after visiting you."
            kneutral "Oh?  Did he rape you too?"
            amad "None of the sort.  We just talked."
            amad "Katja... my life has also changed because of the troll.  I now understand why."
            amad "Still, there are certain things I must keep hidden from you."
            amad "But please understand, and hang in there.  It pains me too.  This will be resolved pretty soon."
            amad "The troll and I are trying our best for you to be comfortable, given the circumstances."
            kneutral "How is rape comfortable?"
            amad "...besides that."
            kneutral "Alfrieda, just one favor.  Please ask the troll to grant me some personal space."
            kthink "Alfrieda seems to take this in as she walks towards the door."
            asmile "I will try my best."
            kthink "It was a forced smile."
            $ now = True
            jump postescape
label escapesequence:
    $ renpy.music.play ("trollthemeshort.ogg", fadein=1.0)
    kthink "I quickly pack a few belongings into a basket."
    if (now == False):
        kthink "I light a lantern from among those in stock."
    kthink "The less I dilly-dally, the better."
    kthink "I head out swiftly."
    scene cottagefront with fade
    kthink "I try to recall the trail Alfrieda and I took the day before."
    kthink "I remember it first goes up a hill before winding its way down towards the fields."
    scene meadows with fade
    kthink "It is a good thing I still have a good memory."
    kneutral "Alfrieda's house!  I must avoid it..."
    kthink "I start wading the fields of flowers towards the direction of Nettestadt, while avoiding the main path in front of Alfrieda's house."
    scene meadowsS at UR with fade
    kthink "Quick!  I am almost near the path that converges with the highway that leads towards the mills."
    $ treasures_found += 1
    kneutral "What is this?"
    kthink "I almost trip over something.  I pick it up... it seems to be a golden flower, amidst a field of yellow flowers.  After inspecting it, I pocket the object."
    kthink "I continue as swiftly as I can."
    kthink "I am starting to pant.  I am almost there!  Almost out of the hut's line of sight."
    kthink "But then..."
    $ renpy.music.stop(fadeout=0.5)
    if (now):
        amad "Just where are you going, Katja?"
    else:
        t "Where are you going, Milady?"
    kscared "Just... um..."
    kscared "I am going home."
    if (now):
        amad "You cannot.  The troll instructed me to guard you."
    else:
        t "You must stay in the cottage.  You are mine.  I shall not have you go anywhere else."    
        kneutral "But what shall I do?"
        kneutral "I... just need to go to town."
    play music("feelings.ogg")
    if (now):
        amad "What if you escape and leave this country?  First you escape Blumenwald, next you might disappear altogether."
        kneutral "Alfrieda, I really need to..."
        amad "Katja, stay for me.  Please.  Do you think I like being your babysitter?  Katja, I hate this."
        amad "But the troll tells me to guard you.  I do not know about you, but I am afraid of the troll."
        amad "I do not want to be subjected to him like what he has done to you."
        kneutral "..."
        amad "Think also of the townspeople.  What do you think they will do when they realize that you escaped?"
        amad "They will bring you back here, I am sure of it!"
    else:
        t "I made sure you had everything you need.  The rest I assigned Alfrieda to take care of it."
        t "Do you not agree that the arrangement is not all that unpleasant?  Very few persons your age even have their own home."
        kneutral "Please, Troll, let me have some freedom."
        kthink "The words just come out of my mouth."
        kthink "These are the first real words I utter to the troll.  It is my first time to actually be soberly speaking to him face to face."
        t "..."
        kthink "I can see the troll hesitate."
        t "I will think about it."
        t "But realize that I am working within the position of instilling fear in the citizens of Nettestadt."
        t "What you are asking will compromise my position to be able to bargain with them."
        $ renpy.music.stop(fadeout=1.5)
        t "Come, I will take you home."
        play music("towers.ogg")
        scene meadows with fade
        kthink "The troll puts a hand on my shoulder and leads me on the path back to my cottage."
        kthink "He does not utter any more words, but by this time it is clear to me that he is a cursed human and not a real monster."
        scene meadows with fade
        kthink "Contrary to what I expected, he did not have his way with me this night."
        kthink "Instead..."
        scene cottagefront with fade
        t "Goodnight, Milady.  We will discuss our arrangements at length another time."
        kthink "I find myself surprised at how quickly we became amicable."
        kneutral "Goodnight."
        kthink "Perhaps next time, I will bring along a saucepan, a kettle, or even a cauldron.  It seems I may be able to bargain with the troll after all."
        scene black with Dissolve(1.5)
label postescape:
    scene black with Dissolve(0.5)
    call setnight from _call_setnight_7
    scene cottageinside with dissolve
    if (now):
        kthink "I must bear with it a little bit longer, so that Alfrieda will rest easy."
        kthink "She is in this mess too, although the troll really requires only me."
    kthink "I hope the troll lets me do more things, like get out of this place once in a while."
    kthink "It was a good thing that at least Alfrieda agreed to talk my condition over with the troll."
    $ renpy.music.stop(fadeout=1.5) 
    scene black with dissolve
    call setpast from _call_setpast_10
    scene cottagefront
    show text "{size=32}A Few Evenings Later...{/size}"
    with dissolve
    $ renpy.pause(1.5)
    scene black with dissolve
    call setnight from _call_setnight_8
    scene cottageinside with dissolve
    kscared "..."
    t "..."
    kscared "Have you come by to violate me again tonight?"
    t "...if you put it that way, no.  I am just checking up on you."
    play music("wavemotion.ogg")
    kthink "The troll paces around, inspecting the cupboards, the tables, chairs, and bed."
    kthink "I realize, with the exception of Alfrieda's things, most of the items I am using belong to the troll."
    kneutral "This is your place, is it not?"
    t "Yes, one of them."
    kthink "As rich as a baron, perhaps."
    kthink "The troll must be rich.  Very few people own their own homes.  Nettestadt is an exception because it is a wealthy town."
    kthink "I decide to make pleasant conversation to distract the troll."
    kneutral "How did you come to own this cottage?"
    t "I built it myself, using land my family bought.  I descended from a line of Alchemists..."
    t "...although currently, I am not one of them."
    kthink "I am reminded of Alfrieda and her brother Jakob."
    scene cottageinsideS at UL with fade
    kthink "The troll is now looking into the cauldron, no doubt wondering what on earth I am cooking for myself."
    if (now):
        $ renpy.music.stop(fadeout=0.5)   
        kthink "An idea strikes me so quickly that even I am taken aback.  An opportunity presents itself..."
        kthink "If I could grab the pot from the cupboard now and hit the troll with it..."
        scene cottageinsideS at UL with vpunch
        kscared "Wow, I really did it!"
        kthink "The troll is now lying on the floor, passed out.  I realize now how vulnerable he his, troll or not."
        kneutral "He is just a cursed human, not a monster."
        kneutral "Wait a minute... perhaps I can find out who or what this creature really is..."
        kthink "I lean over and attempt to pry the black face off the creature.  It would not budge."
        kneutral "Perhaps it is attached by one of Alchemy's magic glues."
        kthink "I try again and again, but it does start to seem like that face is part of his body after all, not a mask."
        scene cottageinsideS at UL with hpunch
        kthink "Suddenly, the troll's hands grab mine."
        kscared "..."
        t "Just what are you trying to do?"
        kthink "I reach for the pot again, in a futile attempt to knock the troll out a second time."
        kthink "The troll rolls me over and pins my back against the kitchen floor, his hands firmly on my wrists."
        t "You are mine, do you not understand that?  You shall stay here, and accept my seed.  I shall not have you go anywhere else."
        kthink "For a moment I am not able to utter anything coherent."
        kneutral "I... want to go home."
        t "Pardon me?"
        kneutral "...give me some freedom... please."
        t "..."
    kthink "At length, the troll stands up, opens the door, and hesitates."
    t "Goodnight, Milady."   
    kthink "And then he is gone."
    $ renpy.music.stop(fadeout=1.0)  
    scene black with Dissolve(1.5)
#----------------------------------------------
label ch5:
    $ save_name = "Chapter 5: Lover"
    call setpast from _call_setpast_11
    scene cottagefront
    show text "{size=32}Kapitel Fünf: Geliebter{/size}"
    with dissolve
    $ renpy.pause(1.5)
    scene black with dissolve
    call setday from _call_setday_12
    scene cottagefront with dissolve
    play music("blumenwaldmain.ogg", "blumenwaldpost.ogg", "blumenwaldpost.ogg", "blumenwaldmain.ogg", "blumenwaldpost.ogg")    
    $ renpy.pause(1.0)
    kscared "What is this?"
    kthink "I find in front of my doorstep a basket full of foodstuffs, including milk, eggs, cheese, sausages, bread, and ham."
    kthink "A small tag is attached to the handle of the basket.  I inspect and read it..."
    kneutral "''Dear Katja, I hope with this, all your needs are taken care of.  Courtesy, The Troll.''"
    kneutral "''P.S. Alfrieda sends her regards.''"
    ksmile "Whoever the troll is, he is starting to seem like a nice person."
    kneutral "But I cannot let down my guard just yet.  I mean, he practically raped me.  I would want to uncover the face behind the mask..."
    kneutral "...and bring him to justice... well, at least until I am satisfied."
    ksmile "At least now, I can have some bratwurst!"
    kthink "It is about time I had some meat.  Also, since that evening, the troll has not dropped by at all.  Maybe he is busy?"
    kthink "Although I myself am bored, I do not have a clue what a troll's responsibilities are besides terrorizing people and abducting maidens."
    kthink "He abducted me in exchange for not terrorizing the citizens of Nettestadt.  So what could he be up to right now?"
    ksmile "Maybe he is terrorizing some other town so he can abduct another maiden from it?"
    $ renpy.music.stop(fadeout=1.0)  
    scene cottageinside with fade
    kthink "My thoughts are cut short as the troll bursts in."
    kscared "Mr. Troll.  I was not expecting you.  It is still daytime, you know."
    t "I want something right now."
    kneutral "What is so important that makes you rush here all of a sudden?"
    t "You."
    scene cottageinsideS at UR with fade    
    kthink "The troll pushes me to the bed and starts unbuttoning my corset."
    kneutral "Can we not just be friends?"
    kthink "The troll stops all of a sudden."
    kneutral "...what?"
    t "If nature intended men and women to just be friends then what is the point of having gender in the first place?"
    t "Perhaps it might amuse you if I should, for example, lie with a man."
    t "But then what shall we talk about?"
    t "I will talk of my romantic adventures, you will talk of yours..."
    t "...and together we would be sobbing at the unfairness to which our lovers have subjected us."
    t "So rather than talk about romance, I am living it right now."
    t "What man in the world will not sacrifice everything just to have his fantasy come true?"
    t "A fantasy where he has a lovely maiden, an idyllic cottage in the countryside, and they would make love from evening until morning."
    t "That is my romance, and I am finally living it."
    kneutral "..."
    t "But perhaps your idea of romance is different.  My apologies then, because it is hard to balance the needs of two minds."
    kthink "It is an awkward moment.  But one can expect Mr. Troll to fix that."
    scene cottageinsideS at UL with fade    
    kthink "The troll walks over to my cauldron and looks inside, fetches himself a bowl from the cupboard and starts eating my gruel."
    kthink "All the time while I am lying half-naked and bewildered on my bed."
    $ renpy.music.play ("katjathememain.ogg", fadein=1.0)
    scene cottageinsideS at UR with fade    
    kthink "But it only takes him a few seconds to finish his meal, before he proceeds to his main course."
    kneutral "Aaaaah..."
    kthink "The troll is stroking my spilled breasts while nuzzling my neck."
    kthink "I would find it pleasurable but I would have preferred warm skin rather than cold, hard metal."
    kneutral "All we ever do is have sex."
    kthink "The troll grunts."
    kneutral "Promise me a date at least once in a while."
    kthink "The troll grunts again."
    kneutral "Mr. Troll?"
    t "I... cannot... concentrate... enough to speak... you know."
    kthink "It is plainly evident what is occuping the troll's facilities right now."
    kneutral "Mmmmhhh..."
    kthink "The troll is running his fingertips back and forth across the tips of my breasts."
    t "Stupid... mask..."
    kthink "So it IS a mask, after all.  No doubt he would want to remove it so he could use his lips."
    kthink "I tease him."
    ksmile "You want to use your mouth, but you could not."
    t "I could use my hands at least."
    kthink "I squeal as the troll lifts my skirt up and pries my legs apart."
    kthink "While his left hand runs up and down across the back and inner parts of my thigh..."
    kthink "...his right hand pokes at my maidenwood like how a bee hops on a flower."
    kthink "My hands are free, but I have not felt as vulnerable as I am right now."
    kthink "I am entirely at the troll's mercy and command."
    kneutral "If you do that..."
    kthink "The troll's fingers are now playing with my lower nipple as they had done to my upper ones not too long ago."
    kthink "I start to feel a little guilty as I know his fingers are getting moist... from me!  But I dare not look down."
    t "I... have a question... for you, Milady."
    kneutral "...hh... y-yes?"
    kthink "It is hard to speak straight when one is breathing quickly."
    t "If... I am a bratwurst... will you be my bun?"
    ksmile "..."
    kthink "What a perverted Mr. Troll!"
    ksmile "Y-yes... hh... be my bratwurst... soon, p-please..."
    scene black with dissolve
    scene white with dissolve
    $ renpy.music.stop(fadeout=1.0) 
    kthink "I collapse on the bed as my muscles recover from their rigidity."
    kthink "As I pant, I feel the the tingling sensation fade away."
    kthink "I wish I can hold on to that sensation forever."
    kthink "The troll is lying on the bed beside me."
    kthink "We reached climax so quickly, we did not have the time to even fully remove our clothes."
    scene cottageinsideS at UR with fade     
    play music("nettestadtpre.ogg", "nettestadtpre.ogg", "nettestadtmain.ogg", "nettestadtmain.ogg", "nettestadtinter.ogg", "nettestadtinter.ogg", "nettestadtmain.ogg")
    kneutral "Why not remove your mask, Mr. Troll?  I know you are human."
    t "..."
    t "...I do not want to be reminded of my old roles."
    t "It is ironic, but I realize this mask helps me to be myself, where I can forsake those old roles in society."
    kneutral "What were you before becoming a troll?"
    t "It is best not to ask."
    kneutral "Then let me ask something else."
    kneutral "What are you doing now that you have become a troll?"
    t "It is best not to ask that either."
    kneutral "But how can you explain all this?!"
    t "Through honest hard work."
    ksmile "...coupled with lots of extortion."
    t "I suppose."
    ksmile "So can you keep your promise?"
    t "What promise?"
    ksmile "To date me, to court me, and to give me some freedom to go to town."
    t "Those are three items."
    ksmile "Dating and courting is the same, so that makes it two items."
    t "Oh, but we are already married."
    kscared "Oh!  That could not..."
    kneutral "The consummation of a common law, perhaps?"
    t "No.  It is in the registrar.  We are husband and wife."
    kscared "...but how can this be?"
    t "Extortion, remember?"
    kneutral "...oh."
    ksmile "Of course.  But what are you listed as?"
    t "Mr. Troll."
    ksmile "Are you joking?"
    t "Not at all."
    kthink "He must be smiling under that mask of his.  How I would love to remove his mask just to see that smile."
    kneutral "Why not tell me who you are?"
    t "I cannot yet..."
    t "Hmmm..."
    t "Well... can I ask you to run some errands for me?"
    t "If you do, I will consider unmasking myself, at least in front of you."
    kneutral "It depends on the errand.  But considering what you have put me through so far, I doubt it can be that bad."
    if (troll_is == "uwe") or ((troll_is == "neither") and (uwepoints == 1)): #the last two conditions are just a safeguard, shouldn't be needed
        $ quest = "statutes book"
        t "I want you to go to Castle Nettestadt and locate a book within its library.  The book is called ''Statutes of Common Law''."
        t "If anyone asks, be not afraid to mention the full title, and anyone in the know will know what you are talking about."
        t "The book may not be in the library after all, but it is best to ascertain that for yourself."
        t "The Castle has been under heavy guard ever since the uprising, but from my surveys it looks like they are a bit lax..."
        t "...especially when it deals with women entering and leaving the castle at night."
        t "It seems the guards have an unstated understanding regarding these affairs, and just let them be."
        t "You may need to bribe them though to get in.  But do not worry, I think it does not have to be sexual services."
        t "Mere food should suffice, although I could not get a clue as to what food enables entry, at least from what I observed."
    elif (troll_is == "jakob") or ((troll_is == "neither") and (uwepoints == 0)): #last two conditions are just a safeguard, shouldn't be needed
        $ quest = "registrar book"
        t "I want you to go to the Hall of Alchemy and locate a book within its library.  The book is the ''Registrar of Alchemists''."
        t "The Association of Alchemists of Nettestadt has been in turmoil ever since Alfrieda was ousted from power..."
        kscared "Alfrieda was overthrown?  I did not know that!  When did this happen?"
        t "Around the time you were brought to Blumenwald."
        t "Alfrieda was full of integrity, and while this kept the Association in good faith, which was important to keep the baron's good regards..."
        t "...there were some who wanted to push the Association towards a radical new direction."
        t "Getting access into the Hall of Alchemy may be a challenge."
        t "Ideally you would ask Alfrieda, but she has no authority anymore."
        t "I suspect you may need to run errands for them, but just tell them the Troll sent you."
        t "The people in the Association are definitely not my friends, but they recognize a common goal in what the troll stands for."
    kneutral "It sounds like something I can do.  If I accomplish the task, you must keep your promise."
    t "It is a promise, then."
    $ renpy.music.stop(fadeout=1.0)
    scene cottageinside with fade
    play music("blumenwaldmain.ogg", "blumenwaldpost.ogg")
    kneutral "I am actually Mr. Troll's wife."
    ksmile "Does that then make me Mrs. Troll?"
    kneutral "Anyway, I will prove to Mr. Troll that I am a capable individual."
    kneutral "I really want to find out just who he is and what he is up to."
    kthink "Maybe I might find his goals to be admirable, despite what has happened so far."
#Prepares and executes the full minigame, then returns to the label.
    call setday from _call_setday_13
    call preparelocation from _call_preparelocation_3
    $ location = 'cottageinside'
    $ locationlock = False
    $ locationscenario = 'errands'
    jump locationcycler    
label library_sequence:
    $ renpy.music.stop(fadeout=1.0)
    scene black with dissolve
    call setnight from _call_setnight_9
    play music ("wavemotion.ogg")
    if (quest == "statutes book"):
        scene nettestadtS at UL with dissolve
        kthink "I make my way through familiar halls, halls which Uwe showed me not too long ago."
        kthink "I try my best to convey the idea that I am no stranger to these walls."
        kthink "As expected, the servants meandering about barely bat an eye as they acknowledge me as being perhaps one of the mistresses."
        kthink "At length I arrive at a library.  I hesitate at first, but seeing nobody inside except a lone scholar, enter and head towards the catalog."
        kneutral "The Statutes of Common Law...hmmm."
        kthink "I notice two entries in the catalog... one called Statutes, and another called Common Law... but none with the full title."
        kthink "So I decide to visit the shelves with books whose titles started with C as well as the shelves with books started with S."
        $ renpy.music.stop(fadeout=1.0)
        kthink "Still seeing none with the exact title, I then must make a decision."
        play music("trollthemeshort.ogg")
        kthink "There are now more than a few scholars in the library, and I am getting uncomfortable."
        menu:
            "Start flipping through the encyclopedia series called Common Law.":
                kthink "I ruffle through the pages of the first book of the series, trying to ascertain whether this is the volume which the troll needs."
                kthink "I can read, but this kind of book, I definitely cannot."
                kthink "I almost give up in frustration, but then pick up another volume."
                $ renpy.music.stop(fadeout=0.5)
                stranger "What are you looking for, young woman?"
                kthink "I freeze.  It is a voice of one with power, and it could only mean one thing..."
                kthink "I turn to see the baroness with two attendants, looking directly at me."
            "Leave immediately, because there is no such book with the exact title requested.":
                kthink "I try to slither away, and hope that no one notices me on my way out as on my way in."
                kthink "It is too bad, but all I had to do was locate a book.  If I did not find it, surely the troll will understand, right?"
                $ renpy.music.stop(fadeout=0.5)
                kthink "Suddenly, I hear shouts behind me."
                call notime from _call_notime_1
                jump ch6
        menu:
            "Grab the book I am holding and run out of the castle as fast as possible.":
                $ runbook = True
                call notime from _call_notime_2
            "Stay and answer the baroness.":
                kthink "I clumsily curtsy and try to answer as politely as I could despite the fact that I am shaking all over."
                play music("wavemotion.ogg")
                kneutral "Baroness, I am..."
                baroness "I know who you are... Katja, correct?"
                kthink "I nod timidly."
                baroness "Follow me."
                kthink "I trail the baroness flanked by her attendants.  We pass through halls which I have never been to before."
                kthink "At length we arrive inside a private study.  The baroness pulls a thick book off one of the upper shelves, and hands it to me."
                kthink "The Statutes of Common Law"
                kthink "How did she know?"
                kthink "How did she come to collaborate with the troll?"
                kthink "All I knew about her was that she loved her weakling son very much and had convinced the baron to spare his life."
                kthink "There was this other question of how the troll is able to act with impunity."
                kthink "Other lesser troublemakers would have incurred the baron's wrath in no time."
                $ renpy.music.stop(fadeout=0.5)
                kthink "It could only mean..."
                kneutral "How could I have not realized this sooner?"
                $ evidence = "Uwe"
                play music ("feelings.ogg")
                baroness "That Uwe, just what is he thinking?"
                baroness "Anyway, Katja my dear, you can have this book.  And while you are at it, could you deliver this message for me?"
                kthink "The baroness inserts a piece of parchment in between the book's pages."
                kthink "My heartbeats have slowed down by now, aided by the fact that I am sure the baroness is on our side."
                baroness "There is still hope yet for Uwe.  Katja, you are a godsend."
                kthink "My fear is now entirely replaced by curiousity."
                baroness "Uwe's father is getting old, and I can almost be certain the crusades will wear him down one of these days."
                baroness "The baron cares only about healthy progeny."
                baroness "Since Uwe was far from that, the baron considered Uwe's younger brothers, even the bastard offspring from who knows what woman."
                baroness "I want Uwe to have a fighting chance at succession, since he is my own son."
                baroness "According to the Statutes, a candidate who already has an heir is sure to succeed."
                baroness "Katja, bear Uwe a healthy son, then go together to the central registrar, in the court of the king."
                kneutral "B-b-bear him children?"
                baroness "Why not?  You can do it, can you not?  Or if he has not yet had you..."
                kneutral "N-no that is not it... it... may just take a while."
                baroness "Well you better do it quick, before Uwe's brothers come of age and start begetting heirs themselves."
                baroness "I have no choice but to respect you Katja, since you may actually succeed me..."
                kneutral "B-baroness?"
                baroness "Yes. This book explains the process, as well as provides a legal framework in matters involving a noble and a commoner."
                baroness "Once you have appealed to the court of the king, the baron's actions will matter little."
                baroness "So take this book to Uwe, have lots of intercourse with him -- satisfy his every desire, bear him a son and register him, and become baroness in time."
                baroness "That is how a woman rises in this world.  In my opinion, it is still far better than taking up arms."
                scene nettestadtS at UL with fade
                kthink "I discuss a lot of things with the baroness... things about the court, things about the town, things about Uwe."
                kthink "The baroness shares them all freely, telling stories about how Uwe was as a child."
                kthink "I am glad that I have a friend in the baroness, an honest noble with nothing to hide.  I have faith in people yet."
                $ renpy.music.stop(fadeout=1.0)
                scene black with Dissolve(1.5)
    elif (quest == "registrar book"):
        scene nettestadtS at UR with dissolve
        kthink "I make my way through strange hallways and passages that meander through various compartments."
        kthink "No doubt I look like a lost kitten who just wandered into a strange new world."
        kthink "These Alchemists do not seem to have any sense for classical architecture... the way rooms are layed out seem to want to enhance their claustrophobia."
        kneutral "It must be for functionality, I suppose."
        kthink "The devices and experiments come first.  The Hall of Alchemy is merely a roof over their heads."
        kthink "As I somewhat expected, the Alchemists I encounter seem to be minding their own business, content with their work."
        kthink "I am starting to wonder if an army of these people, rather than the army which Gerhard joined, would be the key to wealth, power, and prosperity..."
        kthink "...not just of this town but perhaps even the entire kingdom."
        kthink "As I am about to admit that I may be totally lost, I finally find a sign over a double doorway that reads, ''Library''."
        kthink "Upon entering, I expected a small little enclave, but am surprised to find towering shelves, filled with books as far as the eye can see."
        kthink "The shelves are so tall that there are multiple ladders required to reach the volumes on the upper levels."
        stranger "Are you looking for something?  How may I help you?"
        kthink "I turn to look at a bespectacled man, no doubt an Alchemist.  His position behind a counter suggests that he may be a full-time librarian."
        kthink "A full-time librarian?  That is rare.  I guess this can be expected here."
        kthink "But I also once thought that, despite my family having a printing press, that books will never spread beyond the elite and those with enough time on their hands to dabble with them."
        kthink "This proves me wrong."
        kthink "I finally respond to the librarian after considering the troll's advice."
        kneutral "I am looking for the Registrar of Alchemists."
        kthink "The Alchemist's eyes narrows."
        alchemist "Just... what for?"
        kneutral "Uh...um...the troll sent me."
        kthink "There is nothing else to say."
        alchemist "You must be a supporter of Alfrieda, then."
        kthink "I gulp."
        alchemist "Not to worry.  I prefer her over the idiot who is in power now."
        alchemist "He is making slaves of us all, after promising to the baron that we will build weapons to aid in the crusades."
        alchemist "Just a moment..."
        kthink "The librarian disappears behind a back storeroom, and reemerges with a thick volume."
        alchemist "Here, place this in your basket and cover it with a lid.  This volume is supposed to stay in the library at all times.  Not even regular Alchemists can check them out."
        kneutral "Thank you very much.  Does this have to be returned?"
        alchemist "Before I get into trouble."
        kthink "The Librarian-Alchemist smiles, then adds..."
        alchemist "But I am sure the troll will send it back eventually."
        kthink "I retrace my steps and make my way out of the Hall without further incident."
        kthink "I suppose, rather than guard the whole facility, like the Castle, Alchemists would rather guard specific rooms that contain secret items."
        scene cottageinsideS at LL with fade
        kthink "After some rest, I sit on my bed wondering about the mysterious volume that is sitting on the table, borrowed from the Hall of Alchemy library."
        kneutral "Should I open it or not?"
        kthink "If the troll wants it so much, perhaps inside it is information that could point to him."
        kthink "Curiousity gets the better of me.  I open the book and scan its pages.  They contain just lists and lists of names."
        kthink "I decide to look up people I know. Alfrieda... is an Alchemist."
        kneutral "Just as I expected.  Now, who else can I look up?"
        kthink "Aunt Heidi..."
        kscared "...is an Alchemist."
        kthink "I suspected as much, after living with her and noticing certain weird activities and schedules she kept."
        kneutral "I should really ask her about this next time we meet."
        kthink "The miller... an Alchemist as well."
        kthink "I continue to look up the names of people I know."
        kthink "Gerhard... is not listed, so he is not an Alchemist."
        kneutral "I guess not... he is really not the type."
        kthink "Uwe?  Who knows?"
        kthink "... and it turns out he is not, although there are a few names of aristocrats which are listed."
        kthink "Jakob?  Perhaps... let us see."
        kneutral "Jakob is not listed."
        kthink "This does not prove much, other than verifying the suspicions I had already."
        kthink "Anyway, I better rest.  This will have to suffice for the troll."
        $ renpy.music.stop(fadeout=1.0)
        scene black with Dissolve(1.5)
#----------------------------------------------
label ch6:
    $ save_name = "Chapter 6: Deliberation"
    call setpast from _call_setpast_12
    scene nettestadt
    show text "{size=32}Kapitel Sechs: Bedachtsamkeit{/size}"
    with dissolve
    $ renpy.pause(1.5)
    scene black with dissolve
    call setday from _call_setday_14
    scene meadowsS at UR with dissolve
    play music("feelings.ogg")         
    $ renpy.pause(1.0)
    t "Good work, Katja."
    kneutral "But..."
    t "The most important thing is that you took the effort."
    kneutral "What will you do regarding the book?"
    t "It will help me advance my plans."
    ksmile "Do you plan on taking over the world?"
    t "No, but if I can contribute to making a better one, that will be enough."
    if (evidence == "None"):
        kthink "I am still not quite sure who the troll is.  I have an inkling of who he might be, but nothing solid."
        kthink "I have no definitive proof of who he is."
    else:
        kthink "At least my biggest accomplishment in these tasks is finally discovering who the troll is."
        kthink "I have definitive proof."
    scene meadows with fade
    t "So Katja, would you like to guess as to who I am?"
    kthink "Now is the moment."
    kneutral "Promise me one thing, should I guess correctly."
    t "Yes?"
    kneutral "If I guess correctly, you will be fully my husband."
    t "Oh?"
    ksmile "Which means you will live in the cottage and we will split up the chores."
    t "..."
    ksmile "No running around doing who knows what covert operations, starting revolutions, or merely slipping cryptic messages to Alchemists."
    t "As you wish, Milady."
    t "So now, guess."
    menu:
        "The troll is Gerhard.":
            kneutral "Mr. Troll..."
            kneutral "You are Gerhard."
            $ finalpath = "Gerhard"
        "The troll is Uwe.":
            kneutral "Mr. Troll..."
            kneutral "You are Uwe."
            if (troll_is == "uwe") and (evidence == "Uwe"):
                $ finalpath = "Uwe"
            else:
                $ finalpath = "Gerhard"
        "The troll is Jakob.":
            kneutral "Mr. Troll..."
            kneutral "You are Jakob."
            if (troll_is == "jakob") and (evidence == "Jakob"):
                $ finalpath = "Jakob"
            else:
                $ finalpath = "Gerhard"
    $ renpy.music.stop(fadeout=1.0)
    scene black with Dissolve(1.5)
    if (finalpath == "Jakob"):
        call setpast from _call_setpast_13
        scene milltavern with dissolve
        play music("towers.ogg")
        jp "Ingrid, I cannot wait any longer.  Why cannot we just elope?"
        ingrid "My father forbids it.  It will hurt our family's reputation.  The fact that he still considers you a suitor is far more than we can ever ask for."
        ingrid "You should be grateful that you can work for him."
        jp "But for how many years?  Seven years?"
        jp "I have been working for him for three years now, and he treats me worse than the other workers."
        jp "I could work forever if it is just for you, but I doubt that your father even plans on letting me marry you."
        ingrid "I... do not know."
        scene black with Dissolve(1.5)
        scene milltavern with dissolve
        jp "Ingrid, tell me this is not true."
        ingrid "..."
        jp "Ingrid?!  Ingrid!!"
        ingrid "I am afraid so."
        jp "Engaged to Lord Niethammer's son?  Why not refuse him outright?"
        ingrid "...we need the funds."
        jp "Then what was the point of me working all these years?!"
        jp "I could be doing far greater things than playing the role of indentured servant!"
        ingrid "Jakob... I am sorry.  I really am sorry."
        $ renpy.music.stop(fadeout=1.0)
        scene black with Dissolve(1.5)
        scene meadowsS at LL with dissolve
        play music("blumenwaldpost.ogg")
        villager "I am sorry for your loss, Jakob."
        jp "...so what happened exactly?"
        ovillager "Young Lord Niethammer was making merry... and when the time came to go home, he took over the reins of his carriage..."
        jp "..."
        jp "At least tell me Ingrid died a quick and painless death."
        villager "I... really do not know.  It was a deep cliff, and though there were some trees, it was mostly rock."
        jp "The hardest part is that I would want to seek revenge on Lord Niethammer for taking my Ingrid away from me..."
        jp "...but he has his own loss."
        jp "The foolishness of nobles..."
        jp "They consume friends as if they are on a banquet, forgetting that there are those who hunger and are starving."
        $ renpy.music.stop(fadeout=1.0)
        scene black with Dissolve(1.5)
        scene cg3 with dissolve
        play music("katjathemepre.ogg", "katjathememain.ogg", "katjathememain.ogg")
        $ renpy.pause(1.0)
        jmono "This is right.  I should write about the foolishness and tyranny of nobles."
        jmono "As a nightwatchman, I observe their vanity every evening."
        jmono "If a commoner steals, I report it.  But if an aristocrat steals, I am forced to keep silent."
        jmono "If a commoner murders, I report it.  But if an aristocrat murders, I am forced to keep silent."
        jmono "I cannot stand it anymore, I must write about it."
        villager "You are writing a book?  That is great!"
        villager "But I hear you do not really need to know the skills of reading and writing, unless you are an Alchemist.  Are you an Alchemist, Jakob?"
        jmono "No, just my sister.  Although, she taught me a lot... how to read and write, how to investigate, how to conduct experiments..."
        jmono "...how to observe people and make conclusions."
        villager "It sounds like your sister is very intelligent."
        jmono "Yes, she is.  She is the hope of our family in rising from our struggles... we might even join the bourgeouis one day."
        villager "Why not become an Alchemist yourself?"
        jmono "My sister is enough.  I do not have much patience in things.  If I get bored, I sleep.  That is why I am a nightwatchman now."
        villager "Perhaps I might consider joining the Alchemists."
        jmono "Yes, do."      
        $ renpy.music.stop(fadeout=1.0)
        scene black with Dissolve(1.5)
        scene milltavernS at UL with dissolve
        play music("njoy.ogg", "njoy.ogg", "njoy2.ogg", "njoy2.ogg")
        villager "Have you seen the new girl in town?  Katja, I believe, is her name.  She is currently staying with Heidi."
        jp "Oh?  I think I may have bumped into her in this very place.  I am curious."
        villager "You better grab her while you can, Jakob.  There is a rumor that even young master Uwe is interested in her!"
        jp "Uwe... that noble.  Better than most, but an aristocrat nonetheless."
        villager "I thought Uwe was your friend?"
        jp "We are... amicable."
        villager "Katja came with this warrior... Gerhard was his name I believe, but it seems like he is like a brother figure."
        villager "This Gerhard even goes around announcing Katja's eligibility for marriage!"
        jp "What else do you know about this Katja?  Her family, perhaps?"
        villager "It is said they used to own a printing press in Salzburg, but they have hit rough times."
        jp "So they just sent their daughter here?"
        villager "Apparently."
        jp "Hmmm... she just might be the one for me.  I am feeling like a family man right now."
        jp "My loins are getting desperate."
        villager "Ha... mine too."
        $ renpy.music.stop(fadeout=1.0)
        scene black with dissolve
        jp "A new girl in town..."
        jp "A fresh face, minimal family background, a fresh start, a new life..."
        jp "No baggage imposed on her by the nobles or her relatives..."
        jp "..."
        jslow "I... want her."
        jmono "This time, I will not wait years working towards something that may not bear fruit."
        jmono "I will take her immediately, before anyone else does."
        jmono "May the gods forgive me for indulging in my selfishness, but please forgive me for being selfish, just this once."
        jmono "Why cannot an honest hardworking man find a decent woman around here?"
        jmono "Damn nobles.  Damn aristocrats.  Taking and deflowering every village girl with the fake promise of a comfortable life."
        jslow "Katja... you are mine."
        jmono "I will take you as my woman, and keep you away from the lustful aristocratic youth.  Yes, even from Uwe."
        jmono "I will kidnap you, even rape you, if needed.  Just so you will be mine and mine alone."
        jmono "But I will give you a home.  I will give you love, because you will be my woman."
        scene black with Dissolve(1.5)
        call setday from _call_setday_15
        scene cottageinside with dissolve
        play music("nettestadtpre.ogg", "nettestadtpre.ogg", "nettestadtmain.ogg", "nettestadtmain.ogg", "nettestadtinter.ogg", "nettestadtinter.ogg", "nettestadtmain.ogg")
        $ renpy.pause(1.0)
        js "Milady, let us make love."
        ksmile "You have to wash the pots first."
        j "How about making love now?"
        ksmile "You worked three years for Ingrid.  I am sure you can wash two pots for me."
        kthink "Jakob grumbles as he stumbles towards the kitchen area."
        kneutral "Jakob?  Why could you not have found an alternate way of courting me?"
        js "Did you not like the unique experience?  It was creative of me, would you agree?"
        kneutral "But... kidnapping... and..."
        j "Human tribes have done that for thousands of years.  Marriage is supposed to be a simple affair."
        j "A man kidnaps a woman, he and his best man fight off her relatives, they consummate..."
        j "...and they are then husband and wife.  Beautifully simple, really."
        kneutral "In our case, your best man is..."
        j "Alfrieda, my sister and accomplice."
        j "...and so, it is no surprise that those who had been kidnapped will in time learn to sympathize with their captors."
        j "It is basically a coping mechanism for someone who is forced to affiliate with a new tribe and forsake her old one."
        ksmile "Jakob, you are a bastard."
        j "I was a nice man for a long time Katja.  But it did not get me far."
        j "I realized that one has to be a bastard sometimes."
        js "I try to keep my bastardness in check, just for you Milady."
        kneutral "And why call it marriage?  Was that really how it evolved?"
        j "You women do not realize it, but for a young man looking for regular sexual encounters..."
        j "...the hunt is exhaustive, time-consuming, and unpredictable."
        j "It would be far more convenient to wait and just say 'yes' when the opportunity comes, but that is not how it works."
        j "As a result, most young men are in actuality practically virginal, despite the overtold escapades their friends tell them."
        j "Men dislike unpredictability.  That is why we invented marriage.  One man, one woman."
        j "You keep your hands off my spouse, I keep my hands off yours...."
        j "After a long day hunting in far away places, he comes home and there is a woman to play with him, guaranteed."
        js "It is such a beautiful scenario, I can almost cry."
        kthink "Oh my gosh I married a chauvinist."
        kneutral "So what will become of us now?"
        j "Nothing will change much.  We stay here.  You go to downtown Nettestadt, work again at your aunt's if you like."
        j "I am now a registered Alchemist so I can go on commission to various places..."
        j "...since going about was practically what I did all day as a troll."
        kneutral "Registered Alchemist?  But how?"
        j "The Registrar of Alchemists, remember?"
        j "I just added my name before the copy was sent to the County Hall for updating."
        kscared "But what if you are found out?"
        j "That will only happen if I fail, in which case it does not matter."
        j "Alfrieda taught me everything she knew, and I always take my job seriously."
        js "I am finished!"
        kthink "Jakob really did finish washing the pots.  I have no excuses left."
        kthink "Oh no here it comes..."
        if (fertility_herbs == True):
            kthink "I remember the fertility herbs I bought from the old woman in exchange for the golden flowers."
            kthink "With Jakob, I really now want to have his child."
            kneutral "Jakob, can you wait a bit?  I will go get something."
            kthink "Jakob eyes me questioningly but allows me to fetch something from the cupboard."
            ksmile "These are fertility herbs.  They will help me get pregnant."
            kthink "Jakob hesitates, but decides to place his trust in me, although he probably knows about it more through alchemy."
            kthink "As I flush the herbs down my throat with water, Jakob decides to try some as well."
            kscared "Uh... they might only work on women..."
            js "Fertility herbs are fertility herbs."
            kthink "Jakob then turns to me again, like a lion about to pounce on his prey."
        j "Katja, you know the best part about not having to wear a mask?"
        kneutral "What?"
        $ renpy.music.stop(fadeout=1.0)
        j "I can finally kiss you properly."
        play music("katjathemepre.ogg", "katjathememain.ogg")
        scene cottageinsideS at UR with fade
        kthink "For someone with a rough mouth, Jakob's lips are surprisingly soft."
        kthink "I do not want to let these lips go, ever.  Nor the feeling of pure joy that has been built up through hardship over time, which has finally been set loose."
        kthink "Jakob kisses me on the lips, on my forehead, on both my cheeks, smothering me each step of the way."
        kthink "He nuzzles my neck while his hands stroke my arms."
        $ renpy.music.stop(fadeout=1.0)
        j "I want to ravish you, Katja."       
        $ renpy.music.play ("katjathememain.ogg", fadein=1.0)
        kthink "Jakob pulls up my skirt and starts stroking his way up... no, he is kissing now."
        kthink "His palms rest on the back of my thighs, content to absorb the smooth skin."
        kthink "I unbutton his belt while he strokes my hair, but when I bend down..."
        j "No, Katja.  This will not give you pleasure.  And I do not think it will give me pleasure either."
        kthink "To my surprise, Jakob is the one to kneel down and starts nuzzling me from under my skirt."
        kthink "I can barely stand."
        kneutral "If you do that... I..."
        kthink "Jakob grabs me, lies me flat on the bed, and licks me in earnest while stroking my upper thighs."
        kthink "The sensation is taking me over."
        jmono "Let yourself go, Milady.  I will take care of you."
        kmono "B-but..."
        jmono "It is alright.  Do not hold back."
        kthink "Finally my vocal chords take on a life of their own.  I dare not listen to myself, but I hope it sounds pleasing to Jakob at least."
        jmono "Oh!  I forgot to remove our clothes."
        kthink "We sit upright and I help Jakob to disrobe while he folds my clothing.  I would have expected him to tear my clothes off and rip them to shreds not a moment ago."
        kthink "I realize it must be because he is expecting that we may be living on a budget for a while."
        kthink "It does not matter, for we have a loving home, just the two of us, and maybe more..."
        jmono "Your breasts are as beautiful as always."
        kthink "Jakob says this as his hands slowly make their way down my chest."
        kthink "He timidly pokes at my soft mounds, then scoops them from under the folds."
        scene jhcg1 with fade
        kmono "Ah..."
        jmono "So... soft."
        kthink "Jakob and his harsh life... and me, soft me."
        kthink "His thumbs glide in circles over my areolas, before finding their targets and pushing their way in."
        kthink "His fingers continue to push my nipples in all sorts of directions.  He must notice that these parts of my bosom, instead of being soft, are getting hard."
        jmono "Oh."
        scene jhcg2 with dissolve
        kthink "Jakob drops his hands then holds me close.  His hand on my waist is very warm."
        kthink "His other hand..."
        kmono "Mmmhhh..."
        kthink "The hand strokes my nether regions with utmost gentleness.  I cannot help but think that I must be very wet by now."
        kthink "I respond by grasping him closer, as he blows into my ear and nibbles on my earlobe.  I can barely contain my pleasure."
        scene jhcg3 with dissolve
        kthink "Jakob, look at my breasts, they have grown for you.  Look at their tips, they have become engorged."
        kthink "I think these things in my mind, not out loud, but Jakob must have heard them, for he looks at my fully aroused body from top to bottom."
        kthink "The redness and swelling are hard to miss."
        kthink "Jakob draws closer and brushes his chest against mine.  He feels the final contours of my breasts a second time and pinches my nipples."
        if (fertility_herbs == True):
            $ renpy.music.stop(fadeout=1.0)
            scene black with dissolve
            kthink "All of a sudden, Jakob withdraws."
            kmono "What is the matter?"
            jmono "I have gone limp."
            kmono "What should we do?  Is it because of the herbs?"
            jmono "Not to worry, Milady.  I happen to have a new item developed by the Alchemists.  It is centuries ahead of its time."
            kthink "Jakob walks across the room completely naked, and I cannot help but admire his physique."
            kthink "This is indeed a man who works hard, despite what he says."
            kthink "He returns with something in his hand.  More herbs?  A lotion, perhaps?  Or something for him to ingest?"
            $ renpy.music.play ("katjathememain.ogg", fadein=1.0)
            scene jhcg4 with dissolve
            kmono "Oh!"
            jmono "I do not know why, but seeing you wear this makes me stiff all over."
            kthink "Well, if it does the job, why not?"
            jmono "Aaaah.  This is just too strong."
        jmono "K-katja, I do not think we can unite for long, because I am about to explode."
        kmono "J-Jakob, it is the same here."
        kthink "Oh how intense was this foreplay, it is a shame if we could not hold on."
        kmono "We must both let go, you and me.  After all, we have all day long to go at it again."
        kthink "Jakob understands.  With one swift motion, we then unite."
        kthink "Although it is for only a few seconds, it seems like an eternity.  Never has Jakob thrusted this hard, never even when he was a troll."
        kthink "Explode inside me, Jakob!"
        kterrified "I am about to reach the stars."
        kthink "I feel a convulsion all over my body, then my muscles freeze momentarily."
        if (fertility_herbs == True):
            scene jhcg4 with flashbulb
        else:
            scene jhcg3 with flashbulb
        kthink "I tense up and could not help but arch my back."
        kthink "I think I black out for an instant."
        if (fertility_herbs == True):
            scene jhcg4 with flashbulb
        else:
            scene jhcg3 with flashbulb
        kthink "The next thing I remember is the force of fluid filling up my womb."
        kthink "I am being filled with Jakob's loving seed."
        kthink "The symbol of the new life we have together."
        $ renpy.music.stop(fadeout=1.0)
        scene black with Dissolve(1.5)
        scene cottagefront with dissolve
        $ renpy.music.play("nettestadtmain.ogg", fadein=1.0)
        $ renpy.pause(1.0)
        ksmile "Jakob, dear, I want you to fix this table."
        j "Yes, dear."
        ksmile "And then... I want you to bring out the waste."
        j "I will be on it, Milady."
        ksmile "And do not forget to sweep the path while you are at it."
        j "..."
        j "I can also imagine she will get even more assertive once she has children."
        j "The lengths I man must go just to have his woman..."
        $ renpy.music.stop(fadeout=1.0)
        scene black with Dissolve(1.5)
        call setpast from _call_setpast_14
        scene cottagefront
        show text "{size=32}Das Ende{/size}"
        with dissolve
        $ renpy.pause(1.5)
        scene black with Dissolve(1.5)
    elif (finalpath == "Uwe"):
        call setpast from _call_setpast_15
        scene nettestadtS at UL with dissolve
        play music("towers.ogg")
        baron "Stupid son of mine, just look at you."
        up "..."
        baron "Even the girls are laughing at you."
        up "I..."
        baron "How can you expect to become baron one day if you are like this?"
        baroness "Do not be so harsh on him, he is only thirteen."
        baron "It is precisely because he only has a few years to go before he will be old enough to lead armies and kingdoms."
        baron "Or would you rather that your half-brother Jens inherits your position?"
        baroness "Do not bring up the issue of his half-brother!"
        baron "And why not?  He is as much a legitimate heir as can be.  You may call him a bastard, but the fact remains that you are the second wife."
        baroness "..."
        baron "I am afraid Uwe might grow up to become one of THEM... those that lie with men... or worse, an Alchemist."
        baroness "Shhh!  What if an Alchemist hears us?"
        baron "They will not.  They know me as open to their existence.  But they do not know that I am only doing this as long as it is convenient for me."
        $ renpy.music.stop(fadeout=0.5)
        scene black with Dissolve(1.5)
        scene nettestadtS at UL with dissolve
        play music ("blumenwaldpost.ogg")
        baron "Are you sure you did not have a hand in this, woman?"
        baroness "I did not."
        baron "You swear?  You planned the birthday party where he died.  With Jens gone, and the other boys still young, the only choice now is Uwe."
        baroness "I did it all in good faith.  I had no way of knowing..."
        baroness "...and why are you accusing only me?  Why not ask the village girls he was frolicking with the night he died?"
        baron "Well Uwe seems to be in a better mood lately."
        baroness "You know as well as him that Jens only bullied him incessantly."
        $ renpy.music.stop(fadeout=0.5)
        scene black with Dissolve(1.5)
        scene nettestadtS at UL with dissolve
        $ renpy.music.play("wavemotion.ogg", fadein=1.0)
        up "And you are?"
        gph "Gerhard."
        up "You must realize that I expect you to be very skilled.  I myself have a weak constitution, but I have strong ideas."
        up "I want to be able to carry out those ideas, that is why I need strength to back me up."
        gph "You sound like you could become a great leader.  Tell me, what are these ideas of yours?"
        up "One thing I want to do is reform this town.  You are new here, so everything still seems pretty to you."
        up "But behind this facade lies corruption."
        up "Neighbors who fight and steal, spouses who cheat, streets which are not safe at night."
        gps "That sounds pretty bad.  What are the nightwatchmen doing?"
        up "The nightwatchmen are doing their job, but I will not be surprised if certain persons are immune from their prosecutions."
        gps "These persons are..."
        up "Nobles whom I cannot mention."
        gps "That sounds not just bad, but terrible!"
        upd "Indeed.  Is it too much to ask for a town where people are honest?"
        up "I can do away with some of the prosperity if it would make the citizens become more genuine individuals."
        gps "So this town is in actuality an ugly monster hiding behind a pretty mask?"
        up "That is correct.  I would rather have it be the opposite -- a pretty place hiding behind an ugly mask."
        gps "I think reforming this town might be too difficult a task..."
        upd "Not if I have a strong force behind me."
        upd "Once I am baron, I can do anything, and rather than waste my power on frivolous pursuits, I can actually hope to accomplish something."
        gps "The elite army..."
        upd "..."
        gph "Ah, let us not talk about serious things.  I cannot wait until I introduce you to Milady."
        up "Milady?"
        gph "A friend of mine by the name of Katja.  She is very cute, I am sure you will like her."
        up "Uh..."
        $ renpy.music.stop(fadeout=1.0)
        scene black with Dissolve(1.5)
        scene meadowsS at LR with dissolve
        play music("blumenwaldmain.ogg", "blumenwaldpost.ogg")
        $ renpy.pause(1.0)
        gps "What went wrong?  We had the best warriors."
        up "I do not know.  I doubt that my father had seen it coming."
        gps "Exile..."
        up "..."
        gps "I am going to miss Katja."
        up "..."
        gph "Oh, I know you will miss her too."
        up "You read my mind."
        gps "So I suppose we are going to live as hermits?"
        up "We have no choice..."
        up "Although, compared to the original plan, which was to change society, this will be the complete opposite."
        gps "Complete opposite?"
        up "Withdrawing from society altogether.  Many wise men have chosen this option, and it is said it builds greater understanding."
        gps "I do not know if I can handle it.  I would rather live in another country."
        up "Unfortunately, the one we have covers all the places that we know, so we are essentially exiled from all of it."
        gps "How far up north are the Vikings?"
        upd "Very far."
        gps "Well there goes my plan to become a Viking."
        upd "Why not go west and join the Anglos across the strait?"
        gps "And become Anglo-Saxon?  Are you out of your mind?  My Saxon blood will be offended."
        up "As long as we are in hiding, it does not matter whether we are exiled or not, we can stay right here."
        gps "I prefer to stay here, then, until another opportunity comes along."
        up "So besides learning how to live off the fruits of the wilderness, what else do we need?"
        gph "A soft and huggable woman to keep your bed warm at night."
        gph "There should be plenty of lonely women out there, even in isolated areas."
        up "Uh... for some reason you do not seem to have the notion that we might actually DIE pretty soon... "
        up "...such as from starvation or wild animals."
        gph "We will not, because I have a plan."
        up "I doubt it."
        gps "Will you at least listen to it?  I have been following your advice all this time because I honestly believed in them."
        gps "It is your turn to listen, because your heritage means nothing now."
        gps "Currently, it is all about survival, and as a warrior, I have the experience."
        $ renpy.music.stop(fadeout=1.0)
        scene black with Dissolve(1.5)
        call setday from _call_setday_16
        scene cottageinside with dissolve
        play music("nettestadtpre.ogg", "nettestadtpre.ogg", "nettestadtmain.ogg", "nettestadtmain.ogg", "nettestadtinter.ogg", "nettestadtinter.ogg", "nettestadtmain.ogg")
        $ renpy.pause(1.0)
        ksmile "I still cannot believe that you were the troll, and not Gerhard."
        u "Well, as they say, Milady, the mask someone wears influences how that person behaves."
        u "I am scared to think what might have happened had I kept the mask on for too long."
        u "Honestly though, I do not think I could have done it without wearing the mask."
        kthink "I recall the conversation I had with the baroness."
        ksmile "How about your mother's support?"
        u "That, too."
        ksmile "You need to grow up, you know."
        ksmile "And that does not mean kidnapping a girl and having sex with her against her will."
        u "..."
        u "Katja, You could have just said I raped you."
        kneutral "Well, uh..."
        kneutral "It is a harsh term, that hints at violence."
        kneutral "I... am just glad that it was you.  You treated me gently, even as a troll."
        kthink "There is an uncomfortable silence which Uwe tries to get out from."
        u "I... have to let you meet Gerhard again."
        kneutral "Where has he been all this time?"
        u "Up north near the sea.  We have him to thank for allowing me the opportunity to be with you."
        ksmile "So I suppose this perverted idea was entirely his?"
        u "Not quite... the mask, especially, was my idea."
        kneutral "Is there a way to contact him?"
        u "We can use the network of the Alchemists.  Alfrieda, in fact, has been keeping in close contact with Gerhard."
        kthink "The questions I have for Uwe just keep on increasing."
        kneutral "How were you able to make Alfrieda an accomplice in this plan?"
        u "I told Alfrieda, when she was forced to leave the Association, that once I become baron, she will be restored to her position."
        u "It was an unjust thing, what they did to her.  And she had many supporters as well in the organization."
        kneutral "So when can Gerhard visit us?"
        u "He was planning on visiting sooner, but people with his skills are in high demand these days."
        u "...unlike me, who only have their titles to rely on."
        kneutral "Oh..."
        kneutral "But that is exactly what places you in a position to make a difference."
        kneutral "If power were inherently evil, there is nothing we can do."
        kneutral "But if power does not necessarily corrupt, if power can be good as well... a lot of problems can be solved."
        ksmile "So I think we should really work towards doing what we can if we are given better than average cards."
        ksmile "And I would be lying if I said that the title of 'Baroness' does not interest me in the least bit."
        ud "You are absolutely correct.  With this union, we still have a chance to achieve some goals."
        kthink "I find it hard to believe that now I want it to be my turn to initiate something naughty."
        kneutral "Now, according to the Statutes of Common Law, the first principle in legitimizing a union between a noble and a commoner..."
        ksmile "...is creating an heir.  So let us get started, shall we?"
        if (fertility_herbs == True):
            kthink "I remember the fertility herbs I bought from the old woman in exchange for the golden flowers."
            kthink "With Uwe, I really now want to have his child."
            kneutral "Uwe, can you wait a bit?  I will go get something."
            kthink "Uwe eyes me questioningly but allows me to fetch something from the cupboard."
            ksmile "These are fertility herbs.  They will help me get pregnant."
            kthink "As I ingest the herbs, the only thing I notice is the slight glitter in Uwe's eyes, like a puppy about to receive his reward."
        $ renpy.music.stop(fadeout=1.0)
        kthink "I try to imagine that I were a nymph, as I approach Uwe.  I see sweat start to form on his forehead."
        $ renpy.music.play ("katjathememain.ogg", fadein=1.0)
        kthink "I cannot believe this boyish man can legally become ruler, but I suppose that is what can happen.  He does have grand ideas after all..."
        kthink "Not to mention an irresistibly sweet nature."
        kthink "Even if I were to become his second mother, that is a small price to pay, because I know I will have a sweet husband..."
        kthink "And besides, I will also become a matriarch of the town."
        kthink "As for Uwe becoming a father, I only have to think about his nature as a troll, and all doubt is gone from my mind."
        kthink "He is well into the years of adulthood, after all, despite his youthful appearance.  He might even live as long as me, when we are both old and grey."
        kthink "But as for now, it is the joys of youth which we are celebrating, as I pull his pants away and grasp his member with my gentle hands."
        ksmile "Where is your little troll, Uwe?  Is your little troll still sleeping?"
        u "N...not for long if you keep trying to wake him up, Milady."
        kneutral "Well..."
        u "Mmmhh..."
        ksmile "Now I believe that we currently have an ogre in our hands."
        u "Uh...what happened to the little troll?"
        ksmile "He grew big and strong."
        kthink "I think the troll nature in Uwe is also just unleashed, as he suddenly goes down and kisses his way up my legs."
        kthink "I feel more than just a little wobbly as he rubs his cheek against my flesh, inch by inch."
        kneutral "Ah..."
        kthink "Uwe is kissing me all over the place."
        kthink "Then he scoops the cheeks of my rear with both of his hands and massages them."
        kthink "I could barely contain the sensation as he runs his hands up and down."
        u "Milady, you are so beautiful..."
        scene cottageinsideS at UR with fade
        kthink "I roll on the bed while Uwe picks up my left foot and gently kneads it."
        ksmile "Mmmh..."
        u "You like it?"
        kthink "He grabs my other foot and also massages it."
        u "I know you like it, Katja."
        kthink "Uwe seems remarkably composed, which is surprising since we are having sex."
        kthink "He never used to be like this when we were talking... except of course, if it was about politics."
        kthink "The troll must have taught him this confident aspect of his."
        kneutral "I like it... b-but I prefer if you focus on top rather than below."
        kthink "Having said this, I take his head into my hands and kiss his forehead and nose."
        kthink "He responds by stroking my hair and brushing my cheek."
        u "We are still in our clothes."
        ksmile "Does that really matter?"
        u "Look who is talking."
        kneutral "Oh."
        kthink "We both notice that my skirt is getting moist... from me."
        kthink "How on earth could I have gotten this wet?"
        kthink "I stand up in front of Uwe and start unbuttoning the strings of my corset."
        kthink "He watches me intently, never averting his eyes."
        kthink "I show him some cleavage and tease him incessantly."
        kthink "From some previous encounters with him as the troll, I know exactly what he wants."
        kmono "Here..."
        kthink "I sit down on the bed besides Uwe and invite him to do the honors."
        kthink "I notice him suppress a gulp while tentative hands reach out."
        kthink "Uwe digs deep into my bosom and scoops up my breasts."
        kthink "His eyes widen when they spill into view."
        kthink "He feels the mass with his hands, then strokes their tips with his fingertips."
        kmono "Ah."
        kthink "It feels so good to have him playing with my breasts."
        kthink "Uwe seems to be in a hurry taking off his clothes, and no sooner had he done so that he brushes his member against my chest."
        kthink "I fold my bosom around his member and slowly knead."
        umono "My love... mmmmh."
        kthink "The wincing on his face must be one of pleasure, not pain."
        kthink "I myself crave him with all my being and can barely keep my own composure."
        umono "Ngaaaaaaah!  I want you, Katja..."
        kthink "He gets on his back and invites me with open arms."
        kthink "Before it was the troll forcing his way into my life... but now... it is Uwe wanting me to accept and share his."
        kthink "I gladly accept."
        scene uhcg1 with fade
        kthink "I tentatively position myself as I grasp Uwe's member and adjust my posture to accomodate it."
        kthink "When I think I have found my balance, I slowly slide Uwe's member into me."
        kthink "It is a perfect fit."
        umono "We are one."
        kmono "Yes, we are."
        kthink "Uwe reaches out and touches my lips."
        kthink "He then holds my hands as I start to rock."
        kthink "I sway gently so that I do not crush him."
        kthink "It is hard to believe that this very man used to be the big troll who struck fear in Nettestadt."
        kthink "I suppose he needed the mask.  But right now..."
        kmono "Let yourself go, Uwe my love..."
        scene uhcg2 with dissolve
        kthink "As I was half expecting, not content to be just idly watching, Uwe reaches out and fondles my breasts."
        kthink "He squeezes, he pinches, and I moan."
        kthink "His hands dig deeper into my flesh, distorting its shape."
        kthink "But it does not hurt, because these are Uwe's gentle hands."
        kthink "I cannot help but smile at a time like this."
        kmono "Those are all yours, Uwe, just like how your little troll is all mine now."
        umono "L-little?"
        kthink "I stifle a laugh."
        kmono "I am sorry.  Your big ogre is all mine now."
        kthink "Uwe grins a smile of genuine appreciation."
        kthink "All the while, I am getting moist at the bottom.  I make sure Uwe's member brushes against the entirety of my inner cavern."
        kthink "Uwe admires the shapes my breasts make as they become putty in his hands."
        kthink "He is paying particular attention to how my left erect nipple just protrudes as if the mass were being squeezed out of it."
        scene uhcg3 with dissolve
        kmono "Ah!"
        kthink "Uwe suckles on my breast, and caught offguard, I could not help but stop my rocking for an instant."
        kmono "Uwe..."
        kthink "As I whisper his name, I feel his lips as he tries to swallow the entirety of my bosom in his mouth."
        kthink "My nipple, my areola, no... the entirety of my teat is being grasped further and further into his throat."
        kthink "I place my hands on the head of the silently suckling Uwe and stroke his hair, running strands through my fingertips."
        kthink "If I have milk, Uwe, I will give you all that I have."
        kthink "Just like all your fluids fill me up, I want all my fluids to fill you up in turn."
        if (fertility_herbs == True):
            kthink "And then... a strange surreal feeling encompasses us."
            kthink "All of a sudden, it is as if something out of this world is occurring."
            kterrified "I believe I can fly."
            scene uhcg4 with dissolve
            kterrified "I... have wings of an angel."
            umono "K-katja... I knew it!  You are really my angel!"
            kmono "I am an angel..."
            umono "You were sent to this world to save some poor lost soul."
            umono "I am glad that it was me."
            kmono "Uwe, I..."
            kthink "Wait a minute... so if I am an angel, then what am I doing having sex with a man?"
            kthink "I suppose it is possible... it has happened before, but with male angels and female humans."
            kthink "This is definitely a special occurrence.  Which could only mean..."
            kthink "A child produced from this holy union between the heavens and the earth..."
            kthink "Our child could be..."
            kterrified "A new Messiah..."
        kthink "And just as I think those thoughts, I feel a rush of liquid in my womb."
        kthink "Uwe, how could you... wait for me!"
        kthink "I quicken my movements so that I cannot lose that moment."
        kthink "Then..."
        if (fertility_herbs == True):
            scene uhcg4 with flashbulb
        else:
            scene uhcg3 with flashbulb
        kthink "My muscles tense, and I feel convulsions all over my body."
        kthink "I am totally losing control of myself."
        if (fertility_herbs == True):
            scene uhcg4 with flashbulb
        else:
            scene uhcg3 with flashbulb
        kthink "For a second or two, I stretch and freeze."
        $ renpy.music.stop(fadeout=1.0)
        scene black with Dissolve(1.5)
        umono "Katja?"
        kmono "..."
        umono "Katja, my sweetheart?"
        kthink "Where am I?"
        umono "Milady, my beloved wife?"
        scene cottageinsideS at UR with dissolve
        kthink "I open my eyes and see Uwe's face close to mine.  My head is being stroked."
        umono "You passed out for a moment."
        kthink "I smile in response.  I had passed out... again."
        kmono "I thought you were going to leave me behind, so I played catch-up."
        umono "Sorry about that."
        kthink "What is this feeling I have... could it be, true joy?"
        $ renpy.music.stop(fadeout=1.0)
        scene black with Dissolve(1.5)
        scene cottagefront with dissolve
        play music("nettestadtpre.ogg", "nettestadtpre.ogg", "nettestadtmain.ogg", "nettestadtmain.ogg", "nettestadtinter.ogg", "nettestadtinter.ogg", "nettestadtmain.ogg")
        $ renpy.pause(1.0)
        ksmile "So what shall we do now?"
        u "I think I will try to develop some skills, so that I can deserve my title."
        ksmile "I think I will develop mine as well..."
        ksmile "Say, how about we take up Alchemy?"
        u "That sounds like a good idea."
        scene cg2 with fade
        kthink "The way Uwe looks to me right now is very cute.  I think I might enjoy this life with him."
        kthink "My parents will sure be surprised once they find out I found myself a husband... and a future baron at that."
        kthink "I hope they are doing well."
        kthink "I think it is also possible for me to visit Aunt Heidi and let her know of the good news."
        kthink "It is too bad that conditions are still not safe enough for Uwe to visibly step foot inside Nettestadt."
        kthink "In any case, we have our plan set out for us."
        kthink "I also cannot wait to reunite with Gerhard... but in the meantime we have to give our regards to Alfrieda."
        $ renpy.music.stop(fadeout=1.0)
        scene white with Dissolve(1.5)
        show text "{size=32}Das Ende{/size}"
        with dissolve
        $ renpy.pause(1.5)
        scene cg2p with dissolve
        $ renpy.pause(1.5)
        scene black with Dissolve(1.5)
    else:
        scene meadowsS at UL with dissolve
        play music("towers.ogg")
        amad "Please, reveal yourself, Mr. Troll, for Katja's sake."
        t "I am afraid if she does not know who I am, then I cannot really abandon this role."
        kneutral "I thought I did everything, but apparently I did not chance upon any concrete evidence."
        kneutral "I cannot determine who the troll is on rumors alone, because I hear conflicting opinions."
        amad "I am pretty sure you are Gerhard."
        t "No, I am not Gerhard.  Gerhard is supposed to be in exile, remember?"
        kneutral "Then who are you?"
        t "As I keep on saying again and again, I am the Nettestadt Troll, no more, and no less."
        $ renpy.music.stop(fadeout=1.0)
        kthink "All of a sudden, Alfrieda lunges at the troll and pins him against the wall."
        play music("nettestadtpre.ogg", "nettestadtpre.ogg", "nettestadtmain.ogg", "nettestadtmain.ogg", "nettestadtinter.ogg", "nettestadtinter.ogg", "nettestadtmain.ogg")
        amad "Katja, quick, help me out here!  We are going to unmask this bastard!"
        amad "I have been very patient with your games... and Katja even more so..."
        amad "I thought something might happen, and that it was related to me being able to go back to the Association of Alchemists..."
        amad "But now I really do not know what your plan is, and I do not care anymore."
        t "..."
        kneutral "You still owe me a date, you know, Mr. Troll."
        t "But you did not correctly identify me with solid evidence..."
        amad "Do you think he will really keep his promise, Katja?"
        amad "Even if you were to remove his mask, he is probably a person who could not even set foot in Nettestadt."
        amad "So if you were to go on a date, where would you go?  A restaurant?  The lakeside?"
        kneutral "Well... there is Blumenwald..."
        amad "And we are here already, having this argument!"
        kthink "Alfrieda is desperately trying to pry the troll's mask off while I assist her in holding the troll so he could not move."
        kthink "It seems as though the troll is not putting up any resistance, daring us if we can even remove his mask."
        kneutral "I suppose the glue he uses is not made by the Alchemists, then."
        amad "I cannot understand this..."
        kneutral "Oh... and I just remembered something I wanted to ask... "
        kneutral "Can someone explain why the plants in my vegetable garden grow instantaneously?"
        amad "It is not my work.  The troll even had to explain the phenomenon to me."
        amad "I was wondering if you even had enough food given the small size of your garden."
        t "I do not know the mechanics either.  It is indeed truly magical."
        kneutral "Whose magic?"
        t "I have no idea.  It was like that when I found it."
        amad "Aaaaargh!  This creature is so stubbornly vague!"
        $ renpy.music.stop(fadeout=1.0)
        kthink "Alfrieda grabs a pot and starts beating the troll on the head with it."
        play music ("njoy.ogg", "njoy.ogg", "njoy2.ogg", "njoy2.ogg")
        scene meadowsS at UL with vpunch
        t "Ouch!"
        scene meadowsS at UL with vpunch
        t "I..."
        scene meadowsS at UL with vpunch
        t "will..."
        scene meadowsS at UL with vpunch
        t "not..."
        scene meadowsS at UL with vpunch
        t "tolerate..."
        scene meadowsS at UL with vpunch
        t "domestic..."
        scene meadowsS at UL with vpunch
        t "violence..."
        asmile "But Katja has not started beating you yet!  Here Katja..."
        kthink "Alfrieda hands me the pot and now it is my turn to wreak havoc upon Mr. Troll."
        scene meadowsS at UL with vpunch
        ksmile "This..."
        scene meadowsS at UL with vpunch
        ksmile "is..."
        scene meadowsS at UL with vpunch
        ksmile "for..."
        scene meadowsS at UL with vpunch
        ksmile "every..."
        scene meadowsS at UL with vpunch
        ksmile "instance..."
        scene meadowsS at UL with vpunch
        ksmile "you..."
        scene meadowsS at UL with vpunch
        ksmile "stuck..."
        scene meadowsS at UL with vpunch
        ksmile "your..."
        scene meadowsS at UL with vpunch
        ksmile "thing..."
        scene meadowsS at UL with vpunch
        ksmile "into..."
        scene meadowsS at UL with vpunch    
        ksmile "me..."
        scene meadowsS at UL with fade
        kthink "After we had our fill, we all sit down and pant."
        $ renpy.music.stop(fadeout=1.0)        
        t "I will explain to you both the purpose of my existence."
        $ renpy.music.play ("katjathememain.ogg", fadein=1.0)
        t "The troll is the manifestation of justice in this world."
        kthink "Alfrieda rolls her eyes."
        t "There is always a large gap between the rich and the poor."
        t "Wealth is the tool by which those who have it oppress those who do not have it."
        t "Now, Alchemy was supposed to be the means to right this imbalance."
        kthink "Alfrieda and I start to wonder whether to start taking him seriously."
        t "With Alchemy, a noble will have no need for indentured servants, for he will have magical machines to do the job instead."
        t "A peasant, in turn, can save up and procure a machine that will greatly ease his labor."
        t "This will mean two things."
        t "First, the noble will have no more servants to command, thereby reducing his power."
        t "Second, the peasant class will have more free time to themselves, due to less intensive labor."
        t "What does this mean?  It means the peasant class will have time to study and learn the higher arts and sciences."
        t "They will learn what the aristocrats know... but the aristocrats do not want that to happen."
        t "And it will be a dangerous situation when the oppressed finally discover the full extent of their oppression."
        t "So if Alchemy creates machines that enable the peasant class to have almost as much leisure time as the nobles..."
        t "What, then, will the nobles and aristocrats do?"
        amad "They... will restrict Alchemy to an extent only as far as it benefits them."
        t "Alchemy is supposed to be the means to spread the wealth."
        t "But if the wealth is no longer concentrated, then they cannot hold on to their power."
        t "That is why our wealthy leaders allow and encourage hostility towards Alchemists and their supporters throughout all these years."
        t "And for the researches that they cannot suppress, they send their own agents to learn Alchemy."
        t "That way they can redirect the research to furthering their power instead of dispersing it."
        t "Now, how does a troll usually behave?"
        ksmile "A troll lurks, ready to pounce and spoil their victim and ruin whatever it is they have."
        t "Uh..."
        kthink "I think the troll gets my point."
        t "...yes, correct in a way.  The troll spoils the selfish plans of the nobles."
        t "If Alchemy is being abused to build weapons to prop up their powers, the troll seeks to hinder their development."
        amad "You know Mr. Troll, you are starting to sound like my brother."
        kneutral "Yes, you are starting to sound like Jakob with his hate towards aristocrats."
        t "I am not Jakob."
        amad "Who are you then?"
        t "I am not telling."
        kthink "I beat upon the troll's chest in frustration."
        kneutral "You are not fair!"
        t "How about I give you another chance, Milady?  We have our whole lives ahead of us."
        kneutral "Another set of errands?"
        t "Perhaps.  But I have to plan them first, so they will further my goal."
        t "And remember, you are Mrs. Troll.  As a troll yourself, you are capable of doing whatever it is that trolls do."
        kneutral "Which is..."
        $ renpy.music.stop(fadeout=1.0)
        scene black with Dissolve(1.5)
        call setpast from _call_setpast_16
        scene meadows
        show text "{size=32}Das Ende{/size}"
        with dissolve
        $ renpy.pause(1.5)
        scene black with Dissolve(1.5)
            
